GNU bug report logs - #38309
Recent $EMACSLOADPATH changes crash gnome-session

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: "Alex Griffin" <a@HIDDEN>; Done: clement@HIDDEN (Clément Lassieur); Maintainer for guix is bug-guix@HIDDEN.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 8 Dec 2019 06:16:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 01:16:00 2019
Received: from localhost ([127.0.0.1]:50373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idprM-0001WP-3Q
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 01:16:00 -0500
Received: from mout.web.de ([212.227.15.3]:47841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1idprI-0001O4-S9
 for 38309 <at> debbugs.gnu.org; Sun, 08 Dec 2019 01:15:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575785750;
 bh=yTqRwP2HDMmYzODQh9Slap4E/zyZzYhGPUISeyAXmNA=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=BV7vcrDRIltChAvReDDKmjERKg2BZ7FsTHXUeW+QJ1LPp76VeZg2Psh75HYYXL113
 0wQ/bcsQUAJkRXc5W836BeaLn/HrYc6Hv4hEO01uXdXJnlSE4D8Y3V7m/5167F4+VB
 U2aDoL6i3EmJV83h71tw4fFJhcVr4Q9yg0yLOvsI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LiaAW-1i3CaF1HYK-00clO4; Sat, 07
 Dec 2019 17:18:59 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN> <87y2vs73c7.fsf@HIDDEN> <871rths7zk.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <871rths7zk.fsf@HIDDEN>
Date: Sat, 07 Dec 2019 17:18:52 +0100
Message-ID: <87sglw153n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:c3lN/9AfFyujQp/WTtZgfawZTLFiZCqTJSgwjprkbyRfiLQt5Cj
 u1Qdf2MKP1srU/qYgVauMpjaZkKM3PL1b9s2g317moGbaGm6bvHMuOzYFLmTs7KY/SZEvkh
 q1CUjeaXmUnO0bW20oRxU/Vs7PqlkBXLVPcLdrAeVygA5qi9tSIeDqrZ2mW6pwGEM985h5M
 JktwgxSZhjDT58f+WIpiA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Z3HY28aiUMo=:ni8/cRwB14p5ms4SBg0uzq
 KJbNNqHtwSloo7T9hMsslFCuQ50AZyIarG23tfrt/K6tRcU/K4F6b1qhifGDd9LyjWK9ukxfv
 7DY/b0vrK0SWMXIGecNGRDrfnuILYCXuGOA4SldSSwGxvC5z3po03LIcfppjzdkqFTcMmif4D
 KUBOYEUpYMrDOVUpI3hcZOukkp992Ghk7tLVRuYCrR3Zup01XMRTBKw+U+Yh2XOQlo9HRA77U
 /750Dt7eDTyZXO5MvC/bd65utGGllC/TGhcJe28MLKELTyRLG8woNacD0AGSSbgwWtiL9Fucl
 ZuJi8VdbApkxIkPbRXBNldTN4ZoTvTKyIN027vJcwI4UqwYj9N1l03G5eYB4o/nwU6FmmoNhw
 hUPNtLyjwk4PqE2Z0/mCDqKHtr37DuQQRX2AqCGFna6EtdjOGVLLJuGu+O4vBcUI6CxmWdjEz
 gCZULqHGX3r65U/GcbcesEiA8VtsShPyDLxkPHpCvWaFKPj8UE6Z5wHTLaSfji4NOM5dtSwtN
 sFxBWKA3cvvL88wgur/VQsKtWpQ1nV5Hu15dJWPf7/JhfgRkfNElCu0OsdtnV/bmzf65cElmS
 jsDqAnmOIVeWpHEk1TLWo8wVTIZ9HWBi1uReFYlFPizlZC04sNOt8mi2xqyppgsM9oDm/92ek
 YG33z/gPm7soWE0gI97UNaS8FAFdtVTCKH+TRjuZkCkORRV6mzdiZ88ALUO29eEad80jDc2vG
 IZ2rX7WEOAR03gGgVIZLglPriun5/h6QtUF/kyDOrDS4iBd1s63SlRutVGpMSY5+d1zcbn3T4
 jC+UaWrdY7DF8BpIvFQ6F9BPi5qD6Z6sDlwc0sX4eGRze+Qj1JzK0ZomyWxFKh2bpDSScvOJK
 V5zuQUMl0jXerEfu9nINoH88vPYo1JHRwOEnfKIfr+8fSmQjyePGwYEYnORwlJzlUThHqV2oK
 mr52G94cJquFZ9J4aeI3jFTqzEYQFwVouT2FVW/nrPZHO4wbue44WL5U4FPSi9hYxRM5Qfhwm
 akTa6ScMe8iyaRe3fxssfdjTzuVWKXavI7LYQgedkJORVdu+eOb+zp+Fv+OwneVWZX/LmOQJa
 3iVEZswEEkZJaEnvQ5t32/P9ICGyiAGDuxo237UNbmNtiV2wKXk/OqfNyroJNuLJ5b7Wi2tfn
 bFUHozVgeCkxeghE5mrcevNH9p05Ki2E+WBGj2uwfST40LbcN7+pfM7hkY8e6p2DXsR15q2tz
 q9obeHptzGYUOxH9kuEM0tW/qwh1Yaeq4nhmC4A==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Leo Prikler <leo.prikler@HIDDEN>, bug-guix@HIDDEN,
 38309 <at> debbugs.gnu.org,
 =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Sorry for the delays -- just wanted to say: I have another set of
> patches that will allow continuing to use the guix.d subdirectory, as
> well as allowing to reload newly installed packages on the fly.

Sounds good. Thank you for improving the Emacs integration in Guix!

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3r0O8ACgkQE++NRSQD
w+sPEw/+J2DKjcvvQtMZFgmPmiMygZBrv5dgQ05nOSuWCWQxOilQ89ehNSWV1NN+
HTFQnGswPcyz7hPTaDzD8Esuac0+qlFJH3FihLvV7dbjZ13LpJDheyTRzmHEJ81v
LX8rMk0ONfZTIlCWIqYeBimc3ReCg9a8NGgI1v69N/Si1XmnIVYOCeuWQiYLR7WH
Y+w2ETSDyS7v/PyBQvyTYWM0mS5srtSxWr/WknQ23WvkZvjNPIaIcW49UDOxbSPI
XNDZeiNqz/jgGgGbqpyEE7D1D0u+ASiK8XLYORLtUxk4Vc1eo8f42zDvcbQrIP7R
wKzorX/WgGve730MwoCfO7+tScZf9IRe1sgSF03NMf2CzdHSrDCNFgsZGeH3oNva
zuHbsjCQAZ7+msyltS4cmOFqKtciOFDPJMX4hwin6JJXuvPYnXVeqNaOq0Ce0YlF
X7tVN4ap3iLayBFVVA28BJDWVHXC3fC4Yuwc57GqfKcWiqzx/PxCVnORliqAnCwm
Pw015gjS9PTJ1WcxXFDlrW49qQjdc2HKkEVwvjH1vuXOGvcxcrygOzf/QIDkwNLP
BMPdNdw5V7qS/Et598AGXT7h/CCO5I49WcuJqnx76enneaO3gRt8Q7ZDS7LJ2Tt3
fCzaW/QrT12yPH8VNXsfz4gDikVAu3fiokMjZshOt+xE5xNpB2GIswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd69DyAAoJENzPDbMLwQVIrE0EAIe5BgeT
vFx7e+4pQAZwLlFiMKp0EZBmjZgJ8BztwDSUTliJpqf1tEES4oWi88OeaLtgvjLM
Drq9pnDdxWVcYCEXnT8I4WqOMo3ZLoubHeUBJ/k0KRE0+HbrF8PWdvG9HX/RmA/z
1U3gw9GuTq2sNZkOPD8rjilub81rv3/3KjSk
=/a+D
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2019 02:46:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 21:46:17 2019
Received: from localhost ([127.0.0.1]:50021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idmaO-0007Da-KQ
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:46:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:39796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1idmaM-0007Bw-O3
 for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:46:15 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59973)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <arne_bab@HIDDEN>) id 1idcne-0000bD-KF
 for bug-guix@HIDDEN; Sat, 07 Dec 2019 11:19:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1idcnd-0005PC-Ji
 for bug-guix@HIDDEN; Sat, 07 Dec 2019 11:19:18 -0500
Received: from mout.web.de ([212.227.15.14]:59351)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <arne_bab@HIDDEN>) id 1idcnc-0005Oi-1l
 for bug-guix@HIDDEN; Sat, 07 Dec 2019 11:19:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575735539;
 bh=yTqRwP2HDMmYzODQh9Slap4E/zyZzYhGPUISeyAXmNA=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=ljWnVIXEfmc/uJtBlme5xenluybC7wsk3cCnabCiT8Qq6jlrRCdYPLBWU0OmqTLvW
 Uov2yPFSSx32DUfy7iRapWMSkq2JgK0RsskYnpsHh9uhNI1kYoohFo6eBEltoYZOc+
 00Ys0JWsKCCn1kfUWpkjLC9X15VmXa0A4eUx8++8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LiaAW-1i3CaF1HYK-00clO4; Sat, 07
 Dec 2019 17:18:59 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN> <87y2vs73c7.fsf@HIDDEN> <871rths7zk.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <871rths7zk.fsf@HIDDEN>
Date: Sat, 07 Dec 2019 17:18:52 +0100
Message-ID: <87sglw153n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:c3lN/9AfFyujQp/WTtZgfawZTLFiZCqTJSgwjprkbyRfiLQt5Cj
 u1Qdf2MKP1srU/qYgVauMpjaZkKM3PL1b9s2g317moGbaGm6bvHMuOzYFLmTs7KY/SZEvkh
 q1CUjeaXmUnO0bW20oRxU/Vs7PqlkBXLVPcLdrAeVygA5qi9tSIeDqrZ2mW6pwGEM985h5M
 JktwgxSZhjDT58f+WIpiA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:s1gO94yD+fQ=:S7q4DUbOpWxflqe83EdttO
 JoR5Bf69uDRIyngiWgK4phg2Oi7YfR9GACujBkXhwZmtdxAE9bUZItkOcKdlTbfYbXjOSQtwr
 jwu66LskVAjGLepva/cEkNTJwYNSM6bKYPQCgSNlqNwXF60xTlB5+nIF4utzgxSRJspCt92nz
 FAwiH4xxcUHKKo/2DivTuv4zV2FWFPUGVnObnU2O5CK2ivRzI8Znxybc7+hHWPP+0sr42oxpC
 wb2HKXfyqEA+RPjqd94yyhHDfa/sX77cAzUkzLbCt3WI1pWZ5M4Iu19nIFsZvBDx8DJ2XplsU
 DqSfLr6Lhmoojs2Lsl2RJUxTJA4Q8iN42VUkycQ7TiFAhKLf6BFbrROXmuVbRfX8TF5bUGSob
 8qYGr78pm2q3WurGyArFJtNHpP3FfFIOKU0FmQtJbgdy/DnaDClf6KR8e2LwZv7XMj/B0uuem
 hIu4FzKKIzuMOOGmuyzrhOml+QuVCyo9wVpQtQNaXgxMAnan6FuuYzwqqY7iRkGrR1SOJUVVU
 XeL8/CPAKWhAEdp3AIxNg5AbO7boxH2C8zSc0HaXlodzu2qbEgsYiS16EfZQOT5uEgQUydx/p
 wqJSkpaCI7aLZ+C7oOUATuiPzsyMQedw1uA085+IgyfmP/QvVe9Au4GOI2N9U7JnQMBPBolyl
 GjL5BdCGVcqSiwND1ig77jm/lo73slwMUlsOBvv3b9hE57fz3CU+wurhcSGZqhpIycSNrlXOg
 sOR+vHXz4uPLfwzzWnViwjQmCM9syYa0YfdwgcR8Y8HAmaydYbJ9aB+hsjf38wD47pDM9o9Po
 y1+pFyUdFJZ+dp67Xjf8QCyuUNeX7uXPqKPm+JtbLVFfacqGVHcX3VlKh+lFd7Cv2oAzPe18g
 6UvZeSTM4/9rA0OJJPspDY4SJFDZmKGmXm+WuIj7QERXKY22qgJ1xp+vwQ92WG8RIpIDDsLHR
 VAYw60u9mdPtP4FjhlRAu4y7mFtkO+jfaA64eHFubH3BNlyBpiobfTq0QX19k89rKHvzXtcdZ
 Yg6XnHrsLD4uivlcIVc+d4MuiPVJ19XPh+I77Cg6ASnevlfgjK/axcRZHXWjMHt/B1L3HmFsS
 HzVgnD5PWbpyjdSeqbpvfZ0V4xlMJRnJAepRpgrktOf4Nu9hXj8z6wkrwn1vxeSt8nFaokKgR
 ceBImJbPv7bebSxNp4CsnDY0AzXHiMxkxN9KeNj3fcPqgU0ky8z6yhsLReu/oxTsH+9YFXRQL
 tinEneferOqV0BPd4ScBFS13Av/CzWYc6MAVTlA==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.14
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Leo Prikler <leo.prikler@HIDDEN>, bug-guix@HIDDEN,
 38309 <at> debbugs.gnu.org,
 =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Sorry for the delays -- just wanted to say: I have another set of
> patches that will allow continuing to use the guix.d subdirectory, as
> well as allowing to reload newly installed packages on the fly.

Sounds good. Thank you for improving the Emacs integration in Guix!

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3r0O8ACgkQE++NRSQD
w+sPEw/+J2DKjcvvQtMZFgmPmiMygZBrv5dgQ05nOSuWCWQxOilQ89ehNSWV1NN+
HTFQnGswPcyz7hPTaDzD8Esuac0+qlFJH3FihLvV7dbjZ13LpJDheyTRzmHEJ81v
LX8rMk0ONfZTIlCWIqYeBimc3ReCg9a8NGgI1v69N/Si1XmnIVYOCeuWQiYLR7WH
Y+w2ETSDyS7v/PyBQvyTYWM0mS5srtSxWr/WknQ23WvkZvjNPIaIcW49UDOxbSPI
XNDZeiNqz/jgGgGbqpyEE7D1D0u+ASiK8XLYORLtUxk4Vc1eo8f42zDvcbQrIP7R
wKzorX/WgGve730MwoCfO7+tScZf9IRe1sgSF03NMf2CzdHSrDCNFgsZGeH3oNva
zuHbsjCQAZ7+msyltS4cmOFqKtciOFDPJMX4hwin6JJXuvPYnXVeqNaOq0Ce0YlF
X7tVN4ap3iLayBFVVA28BJDWVHXC3fC4Yuwc57GqfKcWiqzx/PxCVnORliqAnCwm
Pw015gjS9PTJ1WcxXFDlrW49qQjdc2HKkEVwvjH1vuXOGvcxcrygOzf/QIDkwNLP
BMPdNdw5V7qS/Et598AGXT7h/CCO5I49WcuJqnx76enneaO3gRt8Q7ZDS7LJ2Tt3
fCzaW/QrT12yPH8VNXsfz4gDikVAu3fiokMjZshOt+xE5xNpB2GIswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd69DyAAoJENzPDbMLwQVIrE0EAIe5BgeT
vFx7e+4pQAZwLlFiMKp0EZBmjZgJ8BztwDSUTliJpqf1tEES4oWi88OeaLtgvjLM
Drq9pnDdxWVcYCEXnT8I4WqOMo3ZLoubHeUBJ/k0KRE0+HbrF8PWdvG9HX/RmA/z
1U3gw9GuTq2sNZkOPD8rjilub81rv3/3KjSk
=/a+D
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 6 Dec 2019 17:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 12:02:21 2019
Received: from localhost ([127.0.0.1]:46987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idGzl-0007Zt-4G
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2019 12:02:21 -0500
Received: from mail-qt1-f172.google.com ([209.85.160.172]:37379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1idGzf-0007Y8-ME
 for 38309 <at> debbugs.gnu.org; Fri, 06 Dec 2019 12:02:19 -0500
Received: by mail-qt1-f172.google.com with SMTP id w47so7780752qtk.4
 for <38309 <at> debbugs.gnu.org>; Fri, 06 Dec 2019 09:02:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=PMxsMi32x+BbwtaKIwdOIXicqlqx0/Di9baykMemisc=;
 b=uDZMiIcKzntASmAxmVS/jHGfJLjMSkABbZ/CBXZdiBKkuFsOUE1GxkohSTxm2xP6NH
 oPBM4CgbE25cPjMWq8EPeQAJHRa5cTkS/k8/KQteWz2X5PE6XNivpurJWkE8XfZH9Tzs
 ehmhfWvFDqxXjYaVwqMAO3O3HAOybMN7s1vnmWGjmlmf4J+/auyvCGsZXukfVqRqSjzb
 ta0OCqRvdLYXOVfPNVUDhRE94tpU+mS7TFH3jPjhUiRnZJppuEpb+0xcasgEDIT6+2XQ
 AU1X+8NxtNuFYmtPblrbysmgLNMwDdMwNGa2P0QI64CWYaZ2RJIh7+nrMYJLkhx8G8pU
 uAfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=PMxsMi32x+BbwtaKIwdOIXicqlqx0/Di9baykMemisc=;
 b=D6/wWUOYphef4j6t9aCVmDxbEmpA/RhzaXEJk85uR6ltby89uXfjek8+B00+ZePJfH
 +Tgo6EhkkT7b2IXeuSm8VwZtE+Uj6axxWqUKnAo0Ow6GBnESEkXMlyXwHAl/BbZ9ZmUN
 hrAwdktepA8Gsyhha4JttjZ6rPbnr+t+6oCHOySs47rGTCfwvzzj8KQi9NSZDwv7h3Ju
 Y67kbRYRrDwtIcZ1F9uJ5tE4/Ejl5yoMY4hZzmA0y7+MpOUeHsCd5iLaB8VjzpSpE5Hy
 +5RXiYl99VsLfwkCm/z/o9XPWOTHSDFECYzJb22tKDTNj/cw5pvmrOPlQneSEUI74R01
 rMPQ==
X-Gm-Message-State: APjAAAXa9hkEf391/UuZEo/XJL7LG/3Q3RAgNQhEsvDoB3AHB+p8yDVU
 2zwHbclhPNOktpmOf1tyxLbogLH3
X-Google-Smtp-Source: APXvYqwC5NOFSwkGtZV8dK4YgaN4AhKEwcNsrzeCPLh9z+5suFNpXAMiXXQGG76VDtaKQNPi1caC2A==
X-Received: by 2002:aed:3e82:: with SMTP id n2mr13792988qtf.367.1575651729752; 
 Fri, 06 Dec 2019 09:02:09 -0800 (PST)
Received: from x200 (dsl-155-22.b2b2c.ca. [66.158.155.22])
 by smtp.gmail.com with ESMTPSA id h1sm6038124qkc.38.2019.12.06.09.02.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 06 Dec 2019 09:02:08 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Arne Babenhauserheide <arne_bab@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN> <87y2vs73c7.fsf@HIDDEN>
Date: Sat, 07 Dec 2019 02:02:07 +0900
In-Reply-To: <87y2vs73c7.fsf@HIDDEN> (Arne Babenhauserheide's message of "Wed, 
 04 Dec 2019 12:11:20 +0100")
Message-ID: <871rths7zk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Leo Prikler <leo.prikler@HIDDEN>, bug-guix@HIDDEN,
 38309 <at> debbugs.gnu.org,
 =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello everyone,

Arne Babenhauserheide <arne_bab@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> I agree that a solution needs to be implemented now, it=E2=80=99s not co=
ol to
>> leave fellow GNOME users without Emacs for several days.  :-)
>
> That did not leave me without Emacs. It left me without GNOME.
>
> Priorities! :-)

Haha!

> (I cannot work without Emacs. It has all my planning and time tracking)
>
> Best wishes,
> Arne

Sorry for the delays -- just wanted to say: I have another set of
patches that will allow continuing to use the guix.d subdirectory, as
well as allowing to reload newly installed packages on the fly.

It uses a hybrid of techniques found in the previous and current
site-start.el, and uses a custom GUIX_EMACSLOADPATH instead of
EMASCLOADPATH for full control of the load path without interference
from Emacs default behavior.

I'll post the new patches to "guix-patches", after I'll have them
rebased on what's in master.

A particular thank you to Cl=C3=A9ment for spending time testing (and
pushing) the reworked patches authored by the one who broke their setup
;-).

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2019 17:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 12:02:20 2019
Received: from localhost ([127.0.0.1]:46985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idGzj-0007Zf-Lc
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2019 12:02:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:44696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1idGze-0007YO-KD
 for submit <at> debbugs.gnu.org; Fri, 06 Dec 2019 12:02:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55262)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1idGzb-00007Z-SD
 for bug-guix@HIDDEN; Fri, 06 Dec 2019 12:02:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1idGza-0005AJ-PF
 for bug-guix@HIDDEN; Fri, 06 Dec 2019 12:02:11 -0500
Received: from mail-qt1-x82c.google.com ([2607:f8b0:4864:20::82c]:34348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1idGza-00056t-J5
 for bug-guix@HIDDEN; Fri, 06 Dec 2019 12:02:10 -0500
Received: by mail-qt1-x82c.google.com with SMTP id 5so7802907qtz.1
 for <bug-guix@HIDDEN>; Fri, 06 Dec 2019 09:02:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=PMxsMi32x+BbwtaKIwdOIXicqlqx0/Di9baykMemisc=;
 b=uDZMiIcKzntASmAxmVS/jHGfJLjMSkABbZ/CBXZdiBKkuFsOUE1GxkohSTxm2xP6NH
 oPBM4CgbE25cPjMWq8EPeQAJHRa5cTkS/k8/KQteWz2X5PE6XNivpurJWkE8XfZH9Tzs
 ehmhfWvFDqxXjYaVwqMAO3O3HAOybMN7s1vnmWGjmlmf4J+/auyvCGsZXukfVqRqSjzb
 ta0OCqRvdLYXOVfPNVUDhRE94tpU+mS7TFH3jPjhUiRnZJppuEpb+0xcasgEDIT6+2XQ
 AU1X+8NxtNuFYmtPblrbysmgLNMwDdMwNGa2P0QI64CWYaZ2RJIh7+nrMYJLkhx8G8pU
 uAfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=PMxsMi32x+BbwtaKIwdOIXicqlqx0/Di9baykMemisc=;
 b=B4H8BvvhsSlCtUuSMAY4FQG/IPDg/Aw1XnM2MwzHGV8ZV3M/uNDnFG5jKwdOYdGhDF
 IG81H0E5b4hWvwGiAEWiuaGtMNU9lvXHKTyTScwsfTkTk6R+lzDSZJYe2SH94JWdvJHQ
 a4+5gzFLT+7Jfl4G7NhvubVeqW50xdplcF9QqTgJ0Xi91M5mD6tKkZCN30/nKPbg1ZML
 HymH7V1K//Rf0G8S80mT3vazLglI5C2137OkrXpSCYtaFvIp0JwNfzeP5PoK/iHrk5Io
 LxlBrxftM8Tc2f4Xcir0/E3BgieKqYYyZPfkvBPD5KPZ//PLCXVrNO33HIhILpmAt0+I
 aUkA==
X-Gm-Message-State: APjAAAX4yFax6BSobqFS85vvceR/R3vBdbo3s18G6Gqvt8jk8ApomuVO
 zMgaYjNPCm2M+E3tt2sOIJmAXeW+
X-Google-Smtp-Source: APXvYqwC5NOFSwkGtZV8dK4YgaN4AhKEwcNsrzeCPLh9z+5suFNpXAMiXXQGG76VDtaKQNPi1caC2A==
X-Received: by 2002:aed:3e82:: with SMTP id n2mr13792988qtf.367.1575651729752; 
 Fri, 06 Dec 2019 09:02:09 -0800 (PST)
Received: from x200 (dsl-155-22.b2b2c.ca. [66.158.155.22])
 by smtp.gmail.com with ESMTPSA id h1sm6038124qkc.38.2019.12.06.09.02.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 06 Dec 2019 09:02:08 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Arne Babenhauserheide <arne_bab@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN> <87y2vs73c7.fsf@HIDDEN>
Date: Sat, 07 Dec 2019 02:02:07 +0900
In-Reply-To: <87y2vs73c7.fsf@HIDDEN> (Arne Babenhauserheide's message of "Wed, 
 04 Dec 2019 12:11:20 +0100")
Message-ID: <871rths7zk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::82c
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Leo Prikler <leo.prikler@HIDDEN>, bug-guix@HIDDEN,
 38309 <at> debbugs.gnu.org,
 =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello everyone,

Arne Babenhauserheide <arne_bab@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> I agree that a solution needs to be implemented now, it=E2=80=99s not co=
ol to
>> leave fellow GNOME users without Emacs for several days.  :-)
>
> That did not leave me without Emacs. It left me without GNOME.
>
> Priorities! :-)

Haha!

> (I cannot work without Emacs. It has all my planning and time tracking)
>
> Best wishes,
> Arne

Sorry for the delays -- just wanted to say: I have another set of
patches that will allow continuing to use the guix.d subdirectory, as
well as allowing to reload newly installed packages on the fly.

It uses a hybrid of techniques found in the previous and current
site-start.el, and uses a custom GUIX_EMACSLOADPATH instead of
EMASCLOADPATH for full control of the load path without interference
from Emacs default behavior.

I'll post the new patches to "guix-patches", after I'll have them
rebased on what's in master.

A particular thank you to Cl=C3=A9ment for spending time testing (and
pushing) the reworked patches authored by the one who broke their setup
;-).

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309-done <at> debbugs.gnu.org:


Received: (at 38309-done) by debbugs.gnu.org; 4 Dec 2019 12:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 07:31:34 2019
Received: from localhost ([127.0.0.1]:41527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icToc-0007Ey-Fk
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 07:31:34 -0500
Received: from mout.web.de ([212.227.15.4]:35079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1icToa-000794-3Z
 for 38309-done <at> debbugs.gnu.org; Wed, 04 Dec 2019 07:31:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575462684;
 bh=yqWtkApM0PaReDcoERKZHXeuI4JZSUQC9Z1C8Nftpyw=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=OtRf9EGTT/7Lv8mzsQJfj9dESSwPwNYO1+hNF0Bng28hscXKuxx0XPmOK0qLJBIpi
 nkT7cS1TGenrr1Sp5WE0hJKXUXV49mPuthnjlRsi/C73QAcxqkK/ORcoVSn2BjFbIv
 Ij0zItgihEJ/LGtLE/csjkg/MjQanpaLP4vZpUCk=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0M0f1C-1hmARJ2akg-00uqTW; Wed, 04
 Dec 2019 13:31:23 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN> <87sgm0gzyj.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87sgm0gzyj.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 13:31:19 +0100
Message-ID: <87wobc6zmw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:WsreVSIjMnjpjuuWAahkCFfabIvdnuIfyrLKjDUNMlOB277rzTf
 yarsStjSCPQ1A6+YwsM2VGICaMBlWpUO6+4K99RI+iJRFFUdCddJUhb8Kec6l3H/ZZM3fmG
 Q6jDo4pWLZdGNROP32ljERHozFmYW5gD78EO0aJ2sr36HJZFW+szSVAMSGBjeHSajBQ8yuP
 fUEfO5xWnHzSUH7ddjIkA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:pg5+O8Ppwn4=:RZ6Y38RpWPGnV3sfY7D+IY
 O/u4JDxiOrebQKx3HwW/5xFW+fd8tTS1anLhV+mLsF663/1q1smzTn/+obAE+7YA8N1TiHFSC
 EymCvTPyPgFamldcd3JmyC+PmWi4wSBEK7Jz540Ab8M+aThLUAu7zjEse7LXU4B7Eb/bUc20k
 DmOGpfFAPEAd/JujotzZBUBMOewz5t33MFlpFNz9kuk2O9pvOdVMZ6/IpuE/DaJJBswznXxaC
 uAacCwRxs/uNhHNzmgAu1ts7qmofty3wBEaDFt/gm1qHloYxPe3/Fzul0TtT6oHCaxvipXgAG
 59TX7j9Bjccf8uz5HgAwIOK1f8xNdN5JY5Wxc0E9Val26/8+7cyiQRg665nqWw9EMqkUskQo7
 cdQFZdhivlAZjxVxRXl9Fiv8DZs5d+bWdReIUfziNr/tNOp43MaEupFqkjzQvcaWqACWtYewk
 IBfG5PrzSmXYmYLf8fZ7q+9CZurAuLIS7plV0fH1YIJe4bDyaG+C6XUdgHQhvRJXQBHYi/es5
 3fCshGpZ63xY6BIgHwEENMnv8e/tk08X6Tr8CNaFwjrSfsH/XIpB5G5zcvMuXq0j7gPfcwAhZ
 YWH5EmmNTdkK+LNxVrwqrJjTP2qTMsSZJo3jSz90Namx/O6HRKy1GOV9zEoRahB+2EvzR7C7E
 rs4C6L3MuaV8smoAmdpEGc5DtqMq9zAZ4z7ryU1QSe3dhXK56vBUIHP+i/VaozShHaj7wZiyN
 pF5+pxamntSLy9TSlb8OkeLi3q1wrqSKKY/Q+mvAqkZSFJFXhfg7KEAzO33rUTtypD2eN4C98
 FFaXo5AkJOm2iQSnyp4eCpvs4VUm/eVWu+Tx509PAhDu5gPnoCTEq00kTNGvfIAYsH9PY6qUC
 ndE7oMIBq/JctTZOZuEnhLhZmNVnr7Xx5f1KMMZ5ZVMyEsGY2u26XHzaZJlJy8O2jIxKxtZrC
 2OfZ3H9metR4bR3pDzkoRd7FEKgvNaAMYTUl7jEoj3KMLyr0P+++agxSUGsLQVWgPJdmk6B8g
 ihPhD7iDH6HXALotW2Y6naJjW8UzLmGRyW+4nXr8bPtfL4z4/fQ9xmMC/OMSPsCVGk9yB3qOr
 oephpShj8UAFvGWidPu9LJ4sdd2j6uB1PwWUVwOIh2ejqsnMVilKQQo7gybiukbzF7fIqiOWX
 yRp6wp1uQu+JQYp9czQmkcxwD+TUzpJoEw4Uggzhq+SOjhkAFhMZsPxf+qs5I9ny4lmJvMHoa
 mS87naPSgacZ8CKeBTq/0fezGtep0LkOIoOZ8kg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309-done
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 38309-done <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Cl=C3=A9ment Lassieur <clement@HIDDEN> writes:
>> Cl=C3=A9ment, perhaps you can push the patches now on behalf of Maxim?
>> If Maxim eventually comes up and disagrees, we can always adjust.
>> At any rate, it=E2=80=99s better than leaving the thing broken.
>
> I pushed them, and I'm closing the bug.  Thank you Maxim for those
> patches, and I hope you'll be back soon to keep hacking on Guix and
> Emacs!

Thank you!

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3npxkACgkQE++NRSQD
w+vS6g/+KD6Y8+Rq00Ml/5NHfD4E79wjyfWX0H/96lkrKpDgCJzmgpIRh6qEk8YB
I0UlqcS/v0GfQJG7wH3o6oEBnRjUNkBX7mpVlSra8A64BgKufPMlre00MUww6lIv
rANPEaGCeVm1bGMgcSeIBKP23qKTMQpab06e1n7CHVijHwrelkxtJgX4Uf8Uc5ZU
Pw69m4hjiuiN4YEkYAA6HIjro6s460peg2nolsm7K2fdmmoWeVjYzMiGoyqxQeMt
pHUkBF6pPO/DLMa339G1OtjjLKJobvsScQG9zkO/PvUbwnUIaKX3yGwmP8+Rtaux
p7Apf6PS7X19pX1cVSjjuZHgfdtj001y465YDe8cPZpQObP9aDH0S7pXGLSFZDBG
njJ+6PP16GFzzsFMyAO/XEA86A0RUo8UMYlRlc3OWwFZyPpq2DDX/bLmbXvyZ+gv
pUqBr6snj7Phz9FgcRXScpFyPkvmtSM3WxD6YL7y6RQrPXbHIG579I5d+/iEd5J6
cD/IUA6GWD9LW+NLEILY+REW9t7SiySWQQ5DbG6EJ5FYur/KazL32Axhbl0Vckil
qByOAs1R19spx/eO8xGuTZNlo1QnPfvu8FAkMqQGryPbKYFyhhu9VG1thfDHbDnK
eCbwen5IGGhsTkTJRbrCvKCMpLdc0l6yo60WS0SfojPkvKcBonKIswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd56cZAAoJENzPDbMLwQVIyHwD/2HH3nbV
mf3RnfMZKacMVyPBcU88b4qgS2pZDYR2+vnVe4/WZrSy/r3B81cN23OJsLeXcqhJ
IJ7/3B7T7hwVG6obdLSc5smDHeyuI3r7J+nWcO6qv0Ex95iZIirgzf4W7GQzd4Rw
LAtB4wP2Cz8BXv9dPefcysWZOOmCk94LDfNg
=aJE6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2019 12:31:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 07:31:41 2019
Received: from localhost ([127.0.0.1]:41530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icToi-0007Kb-QB
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 07:31:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:41787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1icToh-0007JK-Dv
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 07:31:40 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52775)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <arne_bab@HIDDEN>) id 1icTof-0001s3-Lc
 for bug-guix@HIDDEN; Wed, 04 Dec 2019 07:31:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1icToe-0001Qe-KO
 for bug-guix@HIDDEN; Wed, 04 Dec 2019 07:31:37 -0500
Received: from mout.web.de ([212.227.15.4]:49337)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <arne_bab@HIDDEN>)
 id 1icToc-0001Kb-8q; Wed, 04 Dec 2019 07:31:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575462684;
 bh=yqWtkApM0PaReDcoERKZHXeuI4JZSUQC9Z1C8Nftpyw=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=OtRf9EGTT/7Lv8mzsQJfj9dESSwPwNYO1+hNF0Bng28hscXKuxx0XPmOK0qLJBIpi
 nkT7cS1TGenrr1Sp5WE0hJKXUXV49mPuthnjlRsi/C73QAcxqkK/ORcoVSn2BjFbIv
 Ij0zItgihEJ/LGtLE/csjkg/MjQanpaLP4vZpUCk=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0M0f1C-1hmARJ2akg-00uqTW; Wed, 04
 Dec 2019 13:31:23 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN> <87sgm0gzyj.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87sgm0gzyj.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 13:31:19 +0100
Message-ID: <87wobc6zmw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:WsreVSIjMnjpjuuWAahkCFfabIvdnuIfyrLKjDUNMlOB277rzTf
 yarsStjSCPQ1A6+YwsM2VGICaMBlWpUO6+4K99RI+iJRFFUdCddJUhb8Kec6l3H/ZZM3fmG
 Q6jDo4pWLZdGNROP32ljERHozFmYW5gD78EO0aJ2sr36HJZFW+szSVAMSGBjeHSajBQ8yuP
 fUEfO5xWnHzSUH7ddjIkA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:pg5+O8Ppwn4=:RZ6Y38RpWPGnV3sfY7D+IY
 O/u4JDxiOrebQKx3HwW/5xFW+fd8tTS1anLhV+mLsF663/1q1smzTn/+obAE+7YA8N1TiHFSC
 EymCvTPyPgFamldcd3JmyC+PmWi4wSBEK7Jz540Ab8M+aThLUAu7zjEse7LXU4B7Eb/bUc20k
 DmOGpfFAPEAd/JujotzZBUBMOewz5t33MFlpFNz9kuk2O9pvOdVMZ6/IpuE/DaJJBswznXxaC
 uAacCwRxs/uNhHNzmgAu1ts7qmofty3wBEaDFt/gm1qHloYxPe3/Fzul0TtT6oHCaxvipXgAG
 59TX7j9Bjccf8uz5HgAwIOK1f8xNdN5JY5Wxc0E9Val26/8+7cyiQRg665nqWw9EMqkUskQo7
 cdQFZdhivlAZjxVxRXl9Fiv8DZs5d+bWdReIUfziNr/tNOp43MaEupFqkjzQvcaWqACWtYewk
 IBfG5PrzSmXYmYLf8fZ7q+9CZurAuLIS7plV0fH1YIJe4bDyaG+C6XUdgHQhvRJXQBHYi/es5
 3fCshGpZ63xY6BIgHwEENMnv8e/tk08X6Tr8CNaFwjrSfsH/XIpB5G5zcvMuXq0j7gPfcwAhZ
 YWH5EmmNTdkK+LNxVrwqrJjTP2qTMsSZJo3jSz90Namx/O6HRKy1GOV9zEoRahB+2EvzR7C7E
 rs4C6L3MuaV8smoAmdpEGc5DtqMq9zAZ4z7ryU1QSe3dhXK56vBUIHP+i/VaozShHaj7wZiyN
 pF5+pxamntSLy9TSlb8OkeLi3q1wrqSKKY/Q+mvAqkZSFJFXhfg7KEAzO33rUTtypD2eN4C98
 FFaXo5AkJOm2iQSnyp4eCpvs4VUm/eVWu+Tx509PAhDu5gPnoCTEq00kTNGvfIAYsH9PY6qUC
 ndE7oMIBq/JctTZOZuEnhLhZmNVnr7Xx5f1KMMZ5ZVMyEsGY2u26XHzaZJlJy8O2jIxKxtZrC
 2OfZ3H9metR4bR3pDzkoRd7FEKgvNaAMYTUl7jEoj3KMLyr0P+++agxSUGsLQVWgPJdmk6B8g
 ihPhD7iDH6HXALotW2Y6naJjW8UzLmGRyW+4nXr8bPtfL4z4/fQ9xmMC/OMSPsCVGk9yB3qOr
 oephpShj8UAFvGWidPu9LJ4sdd2j6uB1PwWUVwOIh2ejqsnMVilKQQo7gybiukbzF7fIqiOWX
 yRp6wp1uQu+JQYp9czQmkcxwD+TUzpJoEw4Uggzhq+SOjhkAFhMZsPxf+qs5I9ny4lmJvMHoa
 mS87naPSgacZ8CKeBTq/0fezGtep0LkOIoOZ8kg==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.4
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>, 38309-done <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Cl=C3=A9ment Lassieur <clement@HIDDEN> writes:
>> Cl=C3=A9ment, perhaps you can push the patches now on behalf of Maxim?
>> If Maxim eventually comes up and disagrees, we can always adjust.
>> At any rate, it=E2=80=99s better than leaving the thing broken.
>
> I pushed them, and I'm closing the bug.  Thank you Maxim for those
> patches, and I hope you'll be back soon to keep hacking on Guix and
> Emacs!

Thank you!

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3npxkACgkQE++NRSQD
w+vS6g/+KD6Y8+Rq00Ml/5NHfD4E79wjyfWX0H/96lkrKpDgCJzmgpIRh6qEk8YB
I0UlqcS/v0GfQJG7wH3o6oEBnRjUNkBX7mpVlSra8A64BgKufPMlre00MUww6lIv
rANPEaGCeVm1bGMgcSeIBKP23qKTMQpab06e1n7CHVijHwrelkxtJgX4Uf8Uc5ZU
Pw69m4hjiuiN4YEkYAA6HIjro6s460peg2nolsm7K2fdmmoWeVjYzMiGoyqxQeMt
pHUkBF6pPO/DLMa339G1OtjjLKJobvsScQG9zkO/PvUbwnUIaKX3yGwmP8+Rtaux
p7Apf6PS7X19pX1cVSjjuZHgfdtj001y465YDe8cPZpQObP9aDH0S7pXGLSFZDBG
njJ+6PP16GFzzsFMyAO/XEA86A0RUo8UMYlRlc3OWwFZyPpq2DDX/bLmbXvyZ+gv
pUqBr6snj7Phz9FgcRXScpFyPkvmtSM3WxD6YL7y6RQrPXbHIG579I5d+/iEd5J6
cD/IUA6GWD9LW+NLEILY+REW9t7SiySWQQ5DbG6EJ5FYur/KazL32Axhbl0Vckil
qByOAs1R19spx/eO8xGuTZNlo1QnPfvu8FAkMqQGryPbKYFyhhu9VG1thfDHbDnK
eCbwen5IGGhsTkTJRbrCvKCMpLdc0l6yo60WS0SfojPkvKcBonKIswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd56cZAAoJENzPDbMLwQVIyHwD/2HH3nbV
mf3RnfMZKacMVyPBcU88b4qgS2pZDYR2+vnVe4/WZrSy/r3B81cN23OJsLeXcqhJ
IJ7/3B7T7hwVG6obdLSc5smDHeyuI3r7J+nWcO6qv0Ex95iZIirgzf4W7GQzd4Rw
LAtB4wP2Cz8BXv9dPefcysWZOOmCk94LDfNg
=aJE6
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 4 Dec 2019 11:11:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 06:11:38 2019
Received: from localhost ([127.0.0.1]:41486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icSZG-00040Z-JH
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 06:11:38 -0500
Received: from mout.web.de ([212.227.15.3]:42903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1icSZD-00040J-Ot
 for 38309 <at> debbugs.gnu.org; Wed, 04 Dec 2019 06:11:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575457884;
 bh=HojcMGm3qTPPSnXo5uk33sNt+saMmzSS+o4BYMfGwdQ=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=m4dmJDiIG1/YnKnbojFba4v28ggPEzz9lJdocfaGFIhFxfMomOhvmxdOeEXlYmaaV
 o2TwdVUOQkr3Zkybw10QuPbgVyUhU4B8je1+AiBoYwlDMFsX+dp6WlXDYWV8PGXBAN
 BaQUh3EjepRP9qClbRkg4SLbrZcWa/iwYXjESW1Q=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lxx4O-1hg6ki1nDI-015MPi; Wed, 04
 Dec 2019 12:11:24 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87lfrse9ku.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 12:11:20 +0100
Message-ID: <87y2vs73c7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:7x5N3T1DweBxrd2pU7etpzElQXHCO4zhnrNcnWT+w9nXV0TgL6e
 sLYaz/RekzklLHy/kgtiaQmKjVegDMdLrYOpki5cl9AJlkVhC0PKQwjDB8qNH6ku4kDYj+2
 E1WumsnIunNYRTPJctVmk2+d0uK84FxACV8NYDdhbsU1ibO2/RTylf7DY702QbiEoOCaPw4
 UX4Ka58Xss01jwbQJgyAA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:77VJIc6wWws=:IMCOxh9MrwTrlxqD1KUxc1
 B38dp3nb5AD+p+RBuEQvNYdidEn57VSO/7fz/yIUJKwB7Qz2i9e4AeQpBkUh1Y+3wxIyqSyqh
 7TFoQNQHB4vsC3wGrPMvUg10A/iKyNueGsp/0pvXmEE5W9kpPCzkiua0n7ujY94oK5QCg+Svi
 Rr02xPDX9GFsCGcWboUnP9z2czXnm4BTXqWV74YhjKrRa2Sp/RRnuHjiTWBKo7z30VQiiuKAr
 CvMf/Hc0U/Tc4Z7inhVKkDvm8w2qyJrJfrD5bZp6O1it1131BmF2I+3Bszx3TsQ14cQDzs2MK
 y6dGhkJE47T1OJ9W+i14XKn4KQMpseS5MkUc/ncTq2/1fG8lSEdvuL78LXnP1v7rG4j9b/++m
 IpkKvYupzldQIDS7lMJ43aHmtxW3EmxwmEjHzndHVRpdiL1V0umOGRajDoSlxnIati/xZ2yse
 CbnOq0dgptKkyaOeT5cuHnqWZ2p186qAX13ZYgTLiSIkJ4kOcoSPzM9kIeZ7F9ddVvjtFC8Gp
 p7y2qQhDsFM0MA8+HwIrCXTyPKXkKKWb54H/VZArvqIWuO4DtdAc7egdaLkJp9Vtr4V8WtlUM
 SiOu43IEy34QL/4maMC7DMO3V1Wib19JNhKKmFfQig0E7nWUCkLwomCnWaL5yoIdCF2dyTC+g
 1m6pklVCgVg25MwOiHygtCSHtgtsAdNXCjYVypRsD0g7GMD8j6ZzlD9DOGKKB+Rxl++o73J8w
 OsK8xxWaJBS3d8QwCxZhYH8JRctJ9HH5Wa0EA8hn4UGcx2jM/f4NNW05OEEsmfvlPPwxLlr2/
 2RSyIaZ5n1dwBwj20G5v2+NxEJb04VL838Po5yyd9XXThUvXic7IfSQ7XowLwd20ZH8pqv6ii
 ue0I5CPOh3uBNsqgA332BvFSk+ZnL+4ET56ewSKEv+OSUUx5RQt90Ek7zUu+UUrFZmE+6mVyl
 KP4xHcRbnh5NZXsju8oAmw8zbmbbqHsuByp0f/jb3YgEXQ4w9zPL8JMHkXsltYa0ukfGgSpCW
 qW5Ve6E8EidzRN9Trz4LykqXPY8LJ5r2Uj2AhMA8SDEs/GipOsBzkjpax/xci1ciO/3aM9pXr
 govAOIA1BhZskbpG/GesKDRRKYiTt6plDA+SwceWgmm7UmeAYwCFSTrWQeKXfjkpan/bubnOy
 8J5HEglLy8Sukpvugnh1PiczwhJ0tgck0REg3QsPnJhv+9bPAfi9VDTqa0s0E412b82N3t7at
 3XGLQ5AFY9MuZjM9s56Mj0QVmqBMTy0iwPjX6VA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Leo Prikler <leo.prikler@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>,
 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> I agree that a solution needs to be implemented now, it=E2=80=99s not coo=
l to
> leave fellow GNOME users without Emacs for several days.  :-)

That did not leave me without Emacs. It left me without GNOME.

Priorities! :-)

(I cannot work without Emacs. It has all my planning and time tracking)

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3nlFoACgkQE++NRSQD
w+sZOA//bekh+jEOIH8+w+4mEzJzb5W1W7pfd7kFUpSH4UqUh1OImDVknddTHeNY
ATONYGQ3tR5hYcqjfwPvXNwmUoQr2+QsT5WZBXWwNH6o4Bo9GC7RTLmL6rXOcpui
ltj6xt7mL2NQZgSYNGfWSYIMZxm5XSziA66tVWdzqJh07JfQd7NMOxtY0iXqfFLf
x5ICULBlga1Re+dBOPOhWcqP15EtWRwf91Oq60wdkiwtYlF9aL4KpGe9WsCvEUxM
Wa9UEpDrxIdqynmLM2JmGfBITW26OOLGYxmJ35b7SWAeFQ7GCsdHu2XGRM/hfXmA
ytZDAJlAU5PktR6KRiEm7EzKIVMj1zrUvOzqMc2qgLUc4Qt6oe9E1Ypw2XMlz7aM
z7zhxXT69DXiHKUfmHO94ZU2SfdMU3k0vmolrnzdVkHcH3q9A+Bi7DsqBljcKA9v
wBEO9E6wYbnK2Ugztz6k1Rxh0JhA/C/oIpOw6niSAlB9BP2HUevcPzLZ0ZveDJKO
MwEbrAUZokWa9/ZZv8yrabha7bUk+ernIbxmQxirYsFn/m6xUYObLYV+lbT1HexR
P8G9BkBSz+kGXJyF/zF5BONolyFEQu+8xeu+u64CjhNUANbbjxNxf87sDAfZePiP
EyZcDRiUE1647vrICxsqb3DlHBd2xG7H1hPxR/Fwh/mmTPq0PiWIswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd55RbAAoJENzPDbMLwQVIzvAD/0y5lS/R
psr97xKkLIVE3YSAIRm9j0oX5IIWdpYJZppizpfjtyqjPhbkzuTTFwOzOpXml0OX
2URwO+1OUzv5YxTt/lqar/2lRecn2CBbFEmLM6d5nXBS5MVX5WidyvxwYfXdQ4p2
qJ8MYIQG7iGbTNxpAj+Fxy+cNW2cA1zY3SJ4
=05uw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2019 11:11:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 06:11:56 2019
Received: from localhost ([127.0.0.1]:41489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icSZX-000413-SW
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 06:11:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:33948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1icSZV-00040v-0P
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 06:11:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51687)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <arne_bab@HIDDEN>) id 1icSZN-0004lu-Vd
 for bug-guix@HIDDEN; Wed, 04 Dec 2019 06:11:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1icSZM-0001QG-18
 for bug-guix@HIDDEN; Wed, 04 Dec 2019 06:11:44 -0500
Received: from mout.web.de ([212.227.15.3]:47409)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <arne_bab@HIDDEN>) id 1icSZL-0000uu-JX
 for bug-guix@HIDDEN; Wed, 04 Dec 2019 06:11:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575457884;
 bh=HojcMGm3qTPPSnXo5uk33sNt+saMmzSS+o4BYMfGwdQ=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=m4dmJDiIG1/YnKnbojFba4v28ggPEzz9lJdocfaGFIhFxfMomOhvmxdOeEXlYmaaV
 o2TwdVUOQkr3Zkybw10QuPbgVyUhU4B8je1+AiBoYwlDMFsX+dp6WlXDYWV8PGXBAN
 BaQUh3EjepRP9qClbRkg4SLbrZcWa/iwYXjESW1Q=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lxx4O-1hg6ki1nDI-015MPi; Wed, 04
 Dec 2019 12:11:24 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87lfrse9ku.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 12:11:20 +0100
Message-ID: <87y2vs73c7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:7x5N3T1DweBxrd2pU7etpzElQXHCO4zhnrNcnWT+w9nXV0TgL6e
 sLYaz/RekzklLHy/kgtiaQmKjVegDMdLrYOpki5cl9AJlkVhC0PKQwjDB8qNH6ku4kDYj+2
 E1WumsnIunNYRTPJctVmk2+d0uK84FxACV8NYDdhbsU1ibO2/RTylf7DY702QbiEoOCaPw4
 UX4Ka58Xss01jwbQJgyAA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:77VJIc6wWws=:IMCOxh9MrwTrlxqD1KUxc1
 B38dp3nb5AD+p+RBuEQvNYdidEn57VSO/7fz/yIUJKwB7Qz2i9e4AeQpBkUh1Y+3wxIyqSyqh
 7TFoQNQHB4vsC3wGrPMvUg10A/iKyNueGsp/0pvXmEE5W9kpPCzkiua0n7ujY94oK5QCg+Svi
 Rr02xPDX9GFsCGcWboUnP9z2czXnm4BTXqWV74YhjKrRa2Sp/RRnuHjiTWBKo7z30VQiiuKAr
 CvMf/Hc0U/Tc4Z7inhVKkDvm8w2qyJrJfrD5bZp6O1it1131BmF2I+3Bszx3TsQ14cQDzs2MK
 y6dGhkJE47T1OJ9W+i14XKn4KQMpseS5MkUc/ncTq2/1fG8lSEdvuL78LXnP1v7rG4j9b/++m
 IpkKvYupzldQIDS7lMJ43aHmtxW3EmxwmEjHzndHVRpdiL1V0umOGRajDoSlxnIati/xZ2yse
 CbnOq0dgptKkyaOeT5cuHnqWZ2p186qAX13ZYgTLiSIkJ4kOcoSPzM9kIeZ7F9ddVvjtFC8Gp
 p7y2qQhDsFM0MA8+HwIrCXTyPKXkKKWb54H/VZArvqIWuO4DtdAc7egdaLkJp9Vtr4V8WtlUM
 SiOu43IEy34QL/4maMC7DMO3V1Wib19JNhKKmFfQig0E7nWUCkLwomCnWaL5yoIdCF2dyTC+g
 1m6pklVCgVg25MwOiHygtCSHtgtsAdNXCjYVypRsD0g7GMD8j6ZzlD9DOGKKB+Rxl++o73J8w
 OsK8xxWaJBS3d8QwCxZhYH8JRctJ9HH5Wa0EA8hn4UGcx2jM/f4NNW05OEEsmfvlPPwxLlr2/
 2RSyIaZ5n1dwBwj20G5v2+NxEJb04VL838Po5yyd9XXThUvXic7IfSQ7XowLwd20ZH8pqv6ii
 ue0I5CPOh3uBNsqgA332BvFSk+ZnL+4ET56ewSKEv+OSUUx5RQt90Ek7zUu+UUrFZmE+6mVyl
 KP4xHcRbnh5NZXsju8oAmw8zbmbbqHsuByp0f/jb3YgEXQ4w9zPL8JMHkXsltYa0ukfGgSpCW
 qW5Ve6E8EidzRN9Trz4LykqXPY8LJ5r2Uj2AhMA8SDEs/GipOsBzkjpax/xci1ciO/3aM9pXr
 govAOIA1BhZskbpG/GesKDRRKYiTt6plDA+SwceWgmm7UmeAYwCFSTrWQeKXfjkpan/bubnOy
 8J5HEglLy8Sukpvugnh1PiczwhJ0tgck0REg3QsPnJhv+9bPAfi9VDTqa0s0E412b82N3t7at
 3XGLQ5AFY9MuZjM9s56Mj0QVmqBMTy0iwPjX6VA==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.3
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Leo Prikler <leo.prikler@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>,
 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> I agree that a solution needs to be implemented now, it=E2=80=99s not coo=
l to
> leave fellow GNOME users without Emacs for several days.  :-)

That did not leave me without Emacs. It left me without GNOME.

Priorities! :-)

(I cannot work without Emacs. It has all my planning and time tracking)

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3nlFoACgkQE++NRSQD
w+sZOA//bekh+jEOIH8+w+4mEzJzb5W1W7pfd7kFUpSH4UqUh1OImDVknddTHeNY
ATONYGQ3tR5hYcqjfwPvXNwmUoQr2+QsT5WZBXWwNH6o4Bo9GC7RTLmL6rXOcpui
ltj6xt7mL2NQZgSYNGfWSYIMZxm5XSziA66tVWdzqJh07JfQd7NMOxtY0iXqfFLf
x5ICULBlga1Re+dBOPOhWcqP15EtWRwf91Oq60wdkiwtYlF9aL4KpGe9WsCvEUxM
Wa9UEpDrxIdqynmLM2JmGfBITW26OOLGYxmJ35b7SWAeFQ7GCsdHu2XGRM/hfXmA
ytZDAJlAU5PktR6KRiEm7EzKIVMj1zrUvOzqMc2qgLUc4Qt6oe9E1Ypw2XMlz7aM
z7zhxXT69DXiHKUfmHO94ZU2SfdMU3k0vmolrnzdVkHcH3q9A+Bi7DsqBljcKA9v
wBEO9E6wYbnK2Ugztz6k1Rxh0JhA/C/oIpOw6niSAlB9BP2HUevcPzLZ0ZveDJKO
MwEbrAUZokWa9/ZZv8yrabha7bUk+ernIbxmQxirYsFn/m6xUYObLYV+lbT1HexR
P8G9BkBSz+kGXJyF/zF5BONolyFEQu+8xeu+u64CjhNUANbbjxNxf87sDAfZePiP
EyZcDRiUE1647vrICxsqb3DlHBd2xG7H1hPxR/Fwh/mmTPq0PiWIswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd55RbAAoJENzPDbMLwQVIzvAD/0y5lS/R
psr97xKkLIVE3YSAIRm9j0oX5IIWdpYJZppizpfjtyqjPhbkzuTTFwOzOpXml0OX
2URwO+1OUzv5YxTt/lqar/2lRecn2CBbFEmLM6d5nXBS5MVX5WidyvxwYfXdQ4p2
qJ8MYIQG7iGbTNxpAj+Fxy+cNW2cA1zY3SJ4
=05uw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309-done <at> debbugs.gnu.org:


Received: (at 38309-done) by debbugs.gnu.org; 4 Dec 2019 10:14:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 05:14:26 2019
Received: from localhost ([127.0.0.1]:41461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icRfu-0002bv-GH
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 05:14:26 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:41399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1icRfq-0002bb-U2
 for 38309-done <at> debbugs.gnu.org; Wed, 04 Dec 2019 05:14:23 -0500
Received: by mail-wr1-f49.google.com with SMTP id c9so1392118wrw.8
 for <38309-done <at> debbugs.gnu.org>; Wed, 04 Dec 2019 02:14:22 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=bRCRNLT5jaSD8dD5Kn/eV3A0PZSH3mZDn3Q5vZ6B7kQ=;
 b=LSk/x+CN27hFRBtNpdai1vdYL69fVuRybSgUi/iClUBFySVmR4to3ivpHXahBiwC/q
 599zdQ9g90lovKOYzx9+Krmu0qz7xJFWQ45A/3sZQYGLnqpzM7/+wNHm0RrkdfA0X5je
 rSglOLPx/sD08c8cJekjpz62QwZNCarzK18c+0j2ML+YQ4f+8ON11NQFxC1ezOLvMIRC
 Nvpb2F4xGkHpcFkSxdyEzak2KIyFzDsKRcA/3pbmfO6cAQx64X35UPWfdKzCN+Ju4ScL
 m8wTouK1BlXccf8rg5+UWFFp3q6VBELwa82Rn4XvV7Nb+FgRwZxsccjsvWXIE6px+de1
 DWEQ==
X-Gm-Message-State: APjAAAUuI37iIXp6+aT59d5vQ+uIxL86hUGfDE319NbjiTlX8eVoDfCz
 1AQ323vzsAvOlzLtKmvXZnWQxUfw
X-Google-Smtp-Source: APXvYqw6qZAvj1AatPIF5OgsNoJJf+X1jci7L0b34M5GJkFcTDSWWOHwzMY2pP9HwJlF9Vkq7LZXcg==
X-Received: by 2002:adf:fc03:: with SMTP id i3mr3181067wrr.306.1575454454696; 
 Wed, 04 Dec 2019 02:14:14 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:71b9:11bb:7eda:9f58])
 by smtp.gmail.com with ESMTPSA id x17sm7559311wrt.74.2019.12.04.02.14.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 04 Dec 2019 02:14:13 -0800 (PST)
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,  Maxim Cournoyer
 <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
 <87lfrse9ku.fsf@HIDDEN>
Date: Wed, 04 Dec 2019 11:14:12 +0100
In-Reply-To: <87lfrse9ku.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 04 Dec 2019 10:14:41 +0100")
Message-ID: <87sgm0gzyj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38309-done
Cc: Leo Prikler <leo.prikler@HIDDEN>, 38309-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hi Ludo and Maxim,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi!
>
> clement@HIDDEN (Cl=C3=A9ment Lassieur) skribis:
>
>> Any update about this?  Any plan to push a fix or a revert?  I've been
>> using your new patches without any issue for a few days already.
>
> I agree that a solution needs to be implemented now, it=E2=80=99s not coo=
l to
> leave fellow GNOME users without Emacs for several days.  :-)
>
> Cl=C3=A9ment, perhaps you can push the patches now on behalf of Maxim?
> If Maxim eventually comes up and disagrees, we can always adjust.
> At any rate, it=E2=80=99s better than leaving the thing broken.

I pushed them, and I'm closing the bug.  Thank you Maxim for those
patches, and I hope you'll be back soon to keep hacking on Guix and
Emacs!

Cl=C3=A9ment




Notification sent to "Alex Griffin" <a@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to clement@HIDDEN (Clément Lassieur):
You have taken responsibility. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 4 Dec 2019 09:15:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 04:15:11 2019
Received: from localhost ([127.0.0.1]:41431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icQkY-0000m2-Or
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 04:15:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1icQkV-0000ky-DG
 for 38309 <at> debbugs.gnu.org; Wed, 04 Dec 2019 04:15:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44668)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1icQkD-0007p8-W4; Wed, 04 Dec 2019 04:14:50 -0500
Received: from [160.174.176.236] (port=47678 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1icQk9-0003Y0-9M; Wed, 04 Dec 2019 04:14:45 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 13 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 04 Dec 2019 10:14:41 +0100
In-Reply-To: <87v9qzypxa.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Mon, 02 Dec 2019 11:36:49 +0100")
Message-ID: <87lfrse9ku.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38309
Cc: Leo Prikler <leo.prikler@HIDDEN>, 38309 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

clement@HIDDEN (Cl=C3=A9ment Lassieur) skribis:

> Any update about this?  Any plan to push a fix or a revert?  I've been
> using your new patches without any issue for a few days already.

I agree that a solution needs to be implemented now, it=E2=80=99s not cool =
to
leave fellow GNOME users without Emacs for several days.  :-)

Cl=C3=A9ment, perhaps you can push the patches now on behalf of Maxim?
If Maxim eventually comes up and disagrees, we can always adjust.
At any rate, it=E2=80=99s better than leaving the thing broken.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Dec 2019 09:39:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 04:39:05 2019
Received: from localhost ([127.0.0.1]:39291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ic4e9-0004Y6-IQ
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:39:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:57287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1ic4e7-0004Xw-LD
 for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:39:03 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42719)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <arne_bab@HIDDEN>) id 1ic4e2-0000Cn-67
 for bug-guix@HIDDEN; Tue, 03 Dec 2019 04:39:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1ic4dy-00060z-K9
 for bug-guix@HIDDEN; Tue, 03 Dec 2019 04:38:56 -0500
Received: from mout.web.de ([212.227.15.3]:47539)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <arne_bab@HIDDEN>) id 1ic4dx-0005tX-Ge
 for bug-guix@HIDDEN; Tue, 03 Dec 2019 04:38:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575365920;
 bh=t0R1f2aKSBO181Bx32BCFqU+E8meqIKDKRTQ5dWutz0=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=C5U6yictzCM0IeqKZMFf3A8OaCRyawqJp3nTm2aCE+wha2n261fLlsB/Jc6MDl9b3
 HPf0Ew2qL6LOjgrXIB3GjxMS7MZfsc4CU74NdJGielsq5DkABooTBk2SMWHHXvvoL7
 jTjEbClcSZdk3pOEqSICXsQadqmJshdpZdm+F/MQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lz2zw-1hh4Ea2hxA-014G1y; Tue, 03
 Dec 2019 10:38:40 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87v9qzypxa.fsf@HIDDEN>
Date: Tue, 03 Dec 2019 10:38:35 +0100
Message-ID: <877e3dda04.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:YgePXv+n7MYXP0uOVXNWPFyTZqSQM2LsgwJ1GdeVdxHlJTZNH7/
 o+8WuE1gARJdKZMz3oqPG6us61ymtB9pYhcjl5GrHw5K4F7YLDjziLzvuuWxDH7PmxNdlKm
 1/vsm86NtmpPuiEJmCjJOLIKwF2/T4x9Y6zrLyzP1R4VGxa9KzSiV2+Uz+77gC6q0VZGeZg
 8Ks25L/GXhpKP/jqjCH6w==
X-UI-Out-Filterresults: notjunk:1;V03:K0:DSyrcoKGKP8=:kN/O6xvib/rnKUnFFhhzRK
 N7kvoqVVWugOdSK2IdKwKg6UPBBag4erViYC8cU15BLpKUqQVEV31CuWBthjAfamZrsnLyb0A
 vIyVDl9C1QdK4VkykFxn+796d5q3PjlmHiuEsnI72yoQT5aS2/sz+f7TrjLca8bTQNvdwDlC8
 0TrBvP4Tux+9QAZGdclhAAWD4EDkfm0SAjmGT3/XQhqqL7S4cJu8Zbc4DA8JRDwKIHJmTNH88
 H2tE1TsgKRomYyHDuFgchUuplTZD5FnxxP4UHYSPqOCSMAz23sp/M8VhvtRkz1DGE7+3vvlaF
 0wUFRIBA5XiQXIenEq+Tol2QJ/HE4TwSW7Yl9IrxHzgN/Sc3LTQ+Kx6HvC9tFvZnrEyH2TSEJ
 sydIC3UgQotXYZuV7Ip/SCxAR/VqqmgYuEl5Fxzljq0A3X9KbBhF3tFJjXmScM3mtUVy++rCg
 H0eqpwOCw6A4LWNrwP/srgzzor5JAu6I115AJuIXDSqHwHBmQowOO7+KKsDQjwjh8j9ERN7kX
 teKQYwFevj6nvLvdSbTI7+auW622gCwv18DZm4/4ItxwjglMryH6hsLHTxk0enO5hpxydjpK3
 bg7FvAViqAlwCfnoPEr7YZhVoXa8brWtp1LVSNqKlxKkv+tPkv/idauLAOxHJh/U2et/Szg6T
 +K9ZCy9jAFNhJWNxp1L2i5qBr8K7N3pg6NH+k0JNr0pfw6Z/l+orGIkT0nIMl8UVBv+0iS9NH
 XuxWcBiEt7iLo8yjdLqof4fUur2jH0tiPcZMlRtdNiNL7KNu6v9yoivHDuMJqEibnCyY8yxPq
 J23NteOvBMF3l9iY+H8ZTlGCsQKfd9lZQ65LTlrs83XLTtM77jNcrLkodCGZmMxxx4zWTfJid
 4jk5oI7EVgChTHxdIpofd1fCzitwES+ywU8BMnG1qb5K84JYgIUZYAnnPzKHRowyEI9VFJ+ZH
 vEon/WPsKoPf61pEY6bDRUTbFZnAgsj7FgUn/wPHT+cQ+JEwrdbsEvc+1yxlpmY/9IgIhfZTQ
 2H3zEwZtKABkYTaG/wfI5QzIH3vPgnGLwWH9ROoq9wTyxG6Ms3wx6dDQROgX94TmvHex0KwK3
 OaQX4WHBmtFiRs1xTlPqMbcqwLTZNyK8nK6ZIb487sAm+vOsH96hEGJFgs70bjkUB/EofHP0t
 ckp7qBgPZ+8Srqp/MraRUYuFhyvN3ly05m1C+sfp8+gz8S/g+LEIYspMr2+z7em7C1kSDnr3v
 uPvfEtNtxS7oQ0goSiEuR+rQSdtwwhGbft2otBA==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.3
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Leo Prikler <leo.prikler@HIDDEN>, 38309 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Cl=C3=A9ment Lassieur <clement@HIDDEN> writes:
> Any update about this?  Any plan to push a fix or a revert?  I've been
> using your new patches without any issue for a few days already.

This would also be important for me. I=E2=80=99m currently forced to use xf=
ce
due to this bug, and that hinders me quite a bit, for example because it
catches key-combinations I need to pass to the IDE.

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3mLR8ACgkQE++NRSQD
w+v2ChAAoVvkdcX2xTrYkBbh8B+9pfC3MunyCHtb3CF5Qv+AaOsztDTXcHGZF+fL
DGWkfrTDsuouCL4ypoWcLagZlicfrq0KFFPrajm0CWukp9ZMsF9b1ZZCed+3Btwk
m6xqM/QIfiloQT2YZbvYrP9MDCnLfusVXwtL7u0NKLJOEBaDMMmbrWUuhhFDNL+J
I79HH7oUxl5ZYiZJIUivNtzcvdBJRyBcmk5gEWGF0WpzxeEsXcDuX5gmq6515tK+
2vSYw352wwnS+5tQyhjFdS9pLzsfCgEi7aoX0Vfq1E/7iRG8Aw5RkouCH06UoUp4
AnuZk3DCTjHZRv5KUO5Lh6arFjcxV0wNTKLQGtP16sk7eLVxY7FIJ9E082ZYwiVq
QR1p9Q5iv1BRNIISMEuP7yFFO4BkRaX288v79v6gjRPS0O79qpBXOabyN79GbolG
7kE4VUmAhCEGkcvNWzIAbwKKESWlAKRNMiAAH2PxFsHF0R0E+vXPty+b7jGUn+Fd
gmrcjGoR+oduU6ahXo+gdS6fEGCjfPUs79QxfZ3vbZ/wwtKIee7/4vHUc/IvMmOh
5VfkgIrP+tIljRURCbtsUPvUMVeILh+davHomQs341i5Axy8PHoUtbUHQo+ViVC3
st5bk0/Tu1+yh0ZdcXwfkUWX03UrGTFb/YItUDXu4KnUI5RBOk+IswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd5i0fAAoJENzPDbMLwQVIJlMD/06VPLVB
/mjGdtM4gh8c0uMcpnanpqKkJZ9sDAGpzinbgh5dOiQYHXFll5RIhdioua541mVA
teAwb/xH8K/YOTyxL9Y9IlRth8CyY6UykgoBcsrZOXUm5GfEIfUsitm5/EvUMUWt
FitGQpX6m7m1KuTZ/le5OynWsmG/9H82SHvk
=QiBc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 3 Dec 2019 09:38:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 04:38:52 2019
Received: from localhost ([127.0.0.1]:39287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ic4dw-0004XE-CD
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:38:52 -0500
Received: from mout.web.de ([212.227.15.3]:46379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arne_bab@HIDDEN>) id 1ic4du-0004Wx-7e
 for 38309 <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:38:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575365920;
 bh=t0R1f2aKSBO181Bx32BCFqU+E8meqIKDKRTQ5dWutz0=;
 h=X-UI-Sender-Class:References:From:To:Cc:Subject:In-reply-to:Date;
 b=C5U6yictzCM0IeqKZMFf3A8OaCRyawqJp3nTm2aCE+wha2n261fLlsB/Jc6MDl9b3
 HPf0Ew2qL6LOjgrXIB3GjxMS7MZfsc4CU74NdJGielsq5DkABooTBk2SMWHHXvvoL7
 jTjEbClcSZdk3pOEqSICXsQadqmJshdpZdm+F/MQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from fluss ([80.136.28.233]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lz2zw-1hh4Ea2hxA-014G1y; Tue, 03
 Dec 2019 10:38:40 +0100
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87v9qzypxa.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.1
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87v9qzypxa.fsf@HIDDEN>
Date: Tue, 03 Dec 2019 10:38:35 +0100
Message-ID: <877e3dda04.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:YgePXv+n7MYXP0uOVXNWPFyTZqSQM2LsgwJ1GdeVdxHlJTZNH7/
 o+8WuE1gARJdKZMz3oqPG6us61ymtB9pYhcjl5GrHw5K4F7YLDjziLzvuuWxDH7PmxNdlKm
 1/vsm86NtmpPuiEJmCjJOLIKwF2/T4x9Y6zrLyzP1R4VGxa9KzSiV2+Uz+77gC6q0VZGeZg
 8Ks25L/GXhpKP/jqjCH6w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:DSyrcoKGKP8=:kN/O6xvib/rnKUnFFhhzRK
 N7kvoqVVWugOdSK2IdKwKg6UPBBag4erViYC8cU15BLpKUqQVEV31CuWBthjAfamZrsnLyb0A
 vIyVDl9C1QdK4VkykFxn+796d5q3PjlmHiuEsnI72yoQT5aS2/sz+f7TrjLca8bTQNvdwDlC8
 0TrBvP4Tux+9QAZGdclhAAWD4EDkfm0SAjmGT3/XQhqqL7S4cJu8Zbc4DA8JRDwKIHJmTNH88
 H2tE1TsgKRomYyHDuFgchUuplTZD5FnxxP4UHYSPqOCSMAz23sp/M8VhvtRkz1DGE7+3vvlaF
 0wUFRIBA5XiQXIenEq+Tol2QJ/HE4TwSW7Yl9IrxHzgN/Sc3LTQ+Kx6HvC9tFvZnrEyH2TSEJ
 sydIC3UgQotXYZuV7Ip/SCxAR/VqqmgYuEl5Fxzljq0A3X9KbBhF3tFJjXmScM3mtUVy++rCg
 H0eqpwOCw6A4LWNrwP/srgzzor5JAu6I115AJuIXDSqHwHBmQowOO7+KKsDQjwjh8j9ERN7kX
 teKQYwFevj6nvLvdSbTI7+auW622gCwv18DZm4/4ItxwjglMryH6hsLHTxk0enO5hpxydjpK3
 bg7FvAViqAlwCfnoPEr7YZhVoXa8brWtp1LVSNqKlxKkv+tPkv/idauLAOxHJh/U2et/Szg6T
 +K9ZCy9jAFNhJWNxp1L2i5qBr8K7N3pg6NH+k0JNr0pfw6Z/l+orGIkT0nIMl8UVBv+0iS9NH
 XuxWcBiEt7iLo8yjdLqof4fUur2jH0tiPcZMlRtdNiNL7KNu6v9yoivHDuMJqEibnCyY8yxPq
 J23NteOvBMF3l9iY+H8ZTlGCsQKfd9lZQ65LTlrs83XLTtM77jNcrLkodCGZmMxxx4zWTfJid
 4jk5oI7EVgChTHxdIpofd1fCzitwES+ywU8BMnG1qb5K84JYgIUZYAnnPzKHRowyEI9VFJ+ZH
 vEon/WPsKoPf61pEY6bDRUTbFZnAgsj7FgUn/wPHT+cQ+JEwrdbsEvc+1yxlpmY/9IgIhfZTQ
 2H3zEwZtKABkYTaG/wfI5QzIH3vPgnGLwWH9ROoq9wTyxG6Ms3wx6dDQROgX94TmvHex0KwK3
 OaQX4WHBmtFiRs1xTlPqMbcqwLTZNyK8nK6ZIb487sAm+vOsH96hEGJFgs70bjkUB/EofHP0t
 ckp7qBgPZ+8Srqp/MraRUYuFhyvN3ly05m1C+sfp8+gz8S/g+LEIYspMr2+z7em7C1kSDnr3v
 uPvfEtNtxS7oQ0goSiEuR+rQSdtwwhGbft2otBA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Leo Prikler <leo.prikler@HIDDEN>, 38309 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Cl=C3=A9ment Lassieur <clement@HIDDEN> writes:
> Any update about this?  Any plan to push a fix or a revert?  I've been
> using your new patches without any issue for a few days already.

This would also be important for me. I=E2=80=99m currently forced to use xf=
ce
due to this bug, and that hinders me quite a bit, for example because it
catches key-combinations I need to pass to the IDE.

Best wishes,
Arne
=2D-=20
Unpolitisch sein
hei=C3=9Ft politisch sein
ohne es zu merken

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE801qEjXQSQPNItXAE++NRSQDw+sFAl3mLR8ACgkQE++NRSQD
w+v2ChAAoVvkdcX2xTrYkBbh8B+9pfC3MunyCHtb3CF5Qv+AaOsztDTXcHGZF+fL
DGWkfrTDsuouCL4ypoWcLagZlicfrq0KFFPrajm0CWukp9ZMsF9b1ZZCed+3Btwk
m6xqM/QIfiloQT2YZbvYrP9MDCnLfusVXwtL7u0NKLJOEBaDMMmbrWUuhhFDNL+J
I79HH7oUxl5ZYiZJIUivNtzcvdBJRyBcmk5gEWGF0WpzxeEsXcDuX5gmq6515tK+
2vSYw352wwnS+5tQyhjFdS9pLzsfCgEi7aoX0Vfq1E/7iRG8Aw5RkouCH06UoUp4
AnuZk3DCTjHZRv5KUO5Lh6arFjcxV0wNTKLQGtP16sk7eLVxY7FIJ9E082ZYwiVq
QR1p9Q5iv1BRNIISMEuP7yFFO4BkRaX288v79v6gjRPS0O79qpBXOabyN79GbolG
7kE4VUmAhCEGkcvNWzIAbwKKESWlAKRNMiAAH2PxFsHF0R0E+vXPty+b7jGUn+Fd
gmrcjGoR+oduU6ahXo+gdS6fEGCjfPUs79QxfZ3vbZ/wwtKIee7/4vHUc/IvMmOh
5VfkgIrP+tIljRURCbtsUPvUMVeILh+davHomQs341i5Axy8PHoUtbUHQo+ViVC3
st5bk0/Tu1+yh0ZdcXwfkUWX03UrGTFb/YItUDXu4KnUI5RBOk+IswQBAQgAHRYh
BN0ovebZh1yrzkqLHdzPDbMLwQVIBQJd5i0fAAoJENzPDbMLwQVIJlMD/06VPLVB
/mjGdtM4gh8c0uMcpnanpqKkJZ9sDAGpzinbgh5dOiQYHXFll5RIhdioua541mVA
teAwb/xH8K/YOTyxL9Y9IlRth8CyY6UykgoBcsrZOXUm5GfEIfUsitm5/EvUMUWt
FitGQpX6m7m1KuTZ/le5OynWsmG/9H82SHvk
=QiBc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 2 Dec 2019 10:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 05:36:59 2019
Received: from localhost ([127.0.0.1]:37140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibj4c-0004JC-Us
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 05:36:59 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:50712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1ibj4b-0004Iy-7J
 for 38309 <at> debbugs.gnu.org; Mon, 02 Dec 2019 05:36:57 -0500
Received: by mail-wm1-f42.google.com with SMTP id p9so1280576wmg.0
 for <38309 <at> debbugs.gnu.org>; Mon, 02 Dec 2019 02:36:57 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=K0OdiLzRS5+2sI+gIAReCpCls9O1+JQ60Anm7YyBR/o=;
 b=Y097M76UiUGP3KZbCKcd5hqEV0jsxekLxy6/Q+EOVeufaO2MTob+qQOwvtuuhC3tBS
 79OeGRx6fOsNXWi+5ukWGUpzC7wJot+uVBHuxXwPnvRgYOx2hr6XBSNqkoixa8mj5R7Y
 LX/jxVd4f1Hs/BbEnp660obK/h8N/uIsXtDnJeqa8MjgGjvqMWyFGub9Zyy3tK9Bsx9H
 b6nAZcojCaz8/9rb4kqcXXPmuqzXTEuNptAv0HPuKDpdWlex42pBGH1FNjC9ea7coCjl
 lqhPIgF6Iwphqiwzo6VjLJy7My/g6JV16eGI28Y8b4ONYC+2XaeKXuZdpjNet7LeDQsf
 02+g==
X-Gm-Message-State: APjAAAWx8VHO/XIe/L2OZ7P0eDoPgbEiywKAfsqGL7R2PROKgTwWLKkL
 JsFfHtNfcDNc4lQPNCmKOB1dCrLHqqoa3Q==
X-Google-Smtp-Source: APXvYqwqMuJTGJtBbRO7MAc0kFasc/k6aqgj3edq+sQrfdKOgON0mHxEOqQbBrIS0JvzR/BM0WZnjQ==
X-Received: by 2002:a1c:560b:: with SMTP id k11mr29590541wmb.153.1575283011302; 
 Mon, 02 Dec 2019 02:36:51 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:b51f:470:88de:5f36])
 by smtp.gmail.com with ESMTPSA id z6sm27168861wrw.36.2019.12.02.02.36.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 02 Dec 2019 02:36:50 -0800 (PST)
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN>
Date: Mon, 02 Dec 2019 11:36:49 +0100
In-Reply-To: <87o8wxto8o.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 27
 Nov 2019 22:58:31 +0900")
Message-ID: <87v9qzypxa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38309
Cc: ludo@HIDDEN, Leo Prikler <leo.prikler@HIDDEN>,
 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hello Maxim,

Any update about this?  Any plan to push a fix or a revert?  I've been
using your new patches without any issue for a few days already.

Thanks,
Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 28 Nov 2019 05:28:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 00:28:29 2019
Received: from localhost ([127.0.0.1]:56513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaCLt-0004j8-2l
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 00:28:29 -0500
Received: from mail-qt1-f181.google.com ([209.85.160.181]:36735)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iaCLr-0004iu-66
 for 38309 <at> debbugs.gnu.org; Thu, 28 Nov 2019 00:28:27 -0500
Received: by mail-qt1-f181.google.com with SMTP id y10so27917389qto.3
 for <38309 <at> debbugs.gnu.org>; Wed, 27 Nov 2019 21:28:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=2JRpQps8G/e3WqaAC3nGel2AY3sqtnxQkVQghztEypk=;
 b=Ztjukhon8oSBSFyhCTC55MAnf2B2OTqP2aqxqPxHeC/2A1Rgzw41Q6epJD2nbXXrVV
 nIx5CjeLIRevG7uFT86NT5/V35SmSORYVG5LxQbOqmOGhHcWAitJ148NE6tJDR4FM69Y
 Zuk+PGQrhd+kQ/qnSvG0aU8XaP4qMlqNbDmyBcMTVOmngQ6Vumrvj0u9IXxOtjXbQIzh
 F/w7EXk1xqCG7Fgd5iXm8i1PQ12+rkTGA3ejfjSESFDbyJG4MNZUGMeLCWudgTVS7p+k
 LxpClhTgH4W84J9NadgIfqnC955qBvdAIYCaWmWX7F284DMF3teCpQ8mNR70mXhBCM3A
 qBQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=2JRpQps8G/e3WqaAC3nGel2AY3sqtnxQkVQghztEypk=;
 b=SsY5NAhsshHyoNuvEWEnOP7qqtNOYsLPziPzms++AVZB9ZmLkQ5XqFX0P/OGO/hDk5
 LrTqEQvAFszD22oVVoIRHyQH/YDl2dd2RbnnKl1JEWSstUCKmQOXJEqPsscGYXkmrIX+
 hNIBKHw1slqdcbhBKudq96jHPK30WBj1LWeAG4AyjaIt9o7kpnKJuRUCTXGho69Mk4Gf
 kPSouRjJ7stEy21Zobs/cqQXgS1TSSY5TewnnfmLw6edPeYRL+DPta1s3uwDjyonASaY
 bOpsq65Cr2V/entDmIS34nakBoaNAu7+hn6PnC9W+Dp/eVYDXSxXi0yvLgLQeaN/BIIw
 eU/Q==
X-Gm-Message-State: APjAAAWOCOQDrwmSVCGTAByejT5GFA8mCFsasWXjqFSqhsX3BYsqWk3X
 cx5ZAx2O+EsFtWP83yVCPuEf2Gn0wUg=
X-Google-Smtp-Source: APXvYqxDOujETagqFG3CUxalpZddaaL7i1PuK2tLPGZTLePPolDlGaCkJvU6mSzxk1F74Mq3RXu52Q==
X-Received: by 2002:ac8:5197:: with SMTP id c23mr37411289qtn.343.1574918901642; 
 Wed, 27 Nov 2019 21:28:21 -0800 (PST)
Received: from x200 ([206.55.91.146])
 by smtp.gmail.com with ESMTPSA id x6sm1291916qke.127.2019.11.27.21.28.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Nov 2019 21:28:21 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN> <87blsxwgb9.fsf@HIDDEN>
Date: Thu, 28 Nov 2019 14:28:19 +0900
In-Reply-To: <87blsxwgb9.fsf@HIDDEN> (Jelle Licht's message of "Wed, 27
 Nov 2019 15:21:30 +0100")
Message-ID: <8736e8tvrg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Leo Prikler <leo.prikler@HIDDEN>, 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Jelle Licht <jlicht@HIDDEN> writes:

> Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
>
>> [...]
>> I've tested these changes with a Gnome VM and the EMACSLOADPATH is now
>> reduced to just the Emacs' lisp directory as well as the
>> share/emacs/site-lisp directory of any profile.  Thanks for the great
>> ideas :-).
>
> Would this still allow Emacs to load packages from Guix' environments as well?

Yes, and directly handled by Guix search path machinery, as in:

guix environment --pure --ad-hoc emacs emacs-magit -- emacs

--> Magit available in that Emacs instance spawned from that
environment, given that EMACSLOADPATH has been set correctly.

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 17:30:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 12:30:13 2019
Received: from localhost ([127.0.0.1]:56161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ia18n-0001SW-4b
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 12:30:13 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:42469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1ia18l-0001RJ-19
 for 38309 <at> debbugs.gnu.org; Wed, 27 Nov 2019 12:30:11 -0500
Received: by mail-wr1-f42.google.com with SMTP id a15so27655630wrf.9
 for <38309 <at> debbugs.gnu.org>; Wed, 27 Nov 2019 09:30:10 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=uzMgLeottXl5CQyrYnMQOcnTwp6uWYNTvjb9IvczWkQ=;
 b=SGWbbyKSVgtfK8Zs7rCfmwBjSvRxMRyY6TMDrUyAd6kRg2Sflr4NHIeojK1B841mi2
 JJ3b+LwknU8I7TPQyUGsL4uwlWPnuQZ0nFXTltwmqoA24JjXJ5wCTWbej6X/ohLxjVis
 YASutWqnpabYaZAgpihV+iycwDDJKcIv6rGz+XYQUJqorljCfM5RhAWBdH6E6kCAVGPE
 bZEuUFFPFO0sbTTQOpNvCn4anKTM28UbbTRJi8Cwagojbp/LnR6wUk9tLCyn4EV9Gtfz
 EjJLIu3rMlYIYVjPNr1UWJKCOH9pvXrnhqTg6DoFgkWzAsja7hi3n+kv0xNXT2KQAMWH
 N8Lw==
X-Gm-Message-State: APjAAAUX3ft4eW7n31y+SC8yIBSuKsxBHcBTLcrBQqHFo6NfJdq3W5Lx
 qmJgl1SPI8b6x1IPNoa01i0=
X-Google-Smtp-Source: APXvYqzJ8hycwg2kcXvfEIzLwlAiSLVAx0odqEkQzAtMXW7jD8GtA47Kt82XMaTGZjRtjby9Mpkc7Q==
X-Received: by 2002:a5d:5224:: with SMTP id i4mr43611394wra.303.1574875805142; 
 Wed, 27 Nov 2019 09:30:05 -0800 (PST)
Received: from newt (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id c72sm7921891wmd.11.2019.11.27.09.30.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Nov 2019 09:30:04 -0800 (PST)
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <874kyrvphw.fsf@HIDDEN> <87k17n0z9t.fsf@HIDDEN>
 <87h82ptnp4.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87h82ptnp4.fsf@HIDDEN>
Date: Wed, 27 Nov 2019 18:30:03 +0100
Message-ID: <87imn5p6qs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38309
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> I was ready to revert the changes when I saw a reply from Leo Prikler in
> this thread.  They had really good ideas that I believe fix the
> annoyances you reported about the recent changes, while preserving the
> new plus points (per profile management of Emacs packages, 'guix
> environment --ad-hoc' that works for Emacs, simplified build system).
>
> Perhaps you could try it out and see if it indeed fixes the problems you
> reported?

I just tried it, and except a build error with emacs-magit-todos[1], it
works very well!  Things installed with 'guix package -i' get loaded on
Emacs reboot, which is great in my opinion.

Thanks again,
Cl=C3=A9ment

[1]:
--8<---------------cut here---------------start------------->8---
Checking /gnu/store/81a9rjhsw7rh9pc5a121j65107vngyz8-emacs-magit-todos-1.4/=
share/emacs/site-lisp/...
Compiling /gnu/store/81a9rjhsw7rh9pc5a121j65107vngyz8-emacs-magit-todos-1.4=
/share/emacs/site-lisp/magit-todos-autoloads.el...
Compiling /gnu/store/81a9rjhsw7rh9pc5a121j65107vngyz8-emacs-magit-todos-1.4=
/share/emacs/site-lisp/magit-todos.el...
Cannot open load file: No such file or directory, transient
command "/gnu/store/2iaibkz1q8xmrqr1pr6ksijw5ifny0fn-emacs-minimal-26.3/bin=
/emacs" "--quick" "--batch" "--eval=3D(progn (setq byte-compile-debug t) (b=
yte-recompile-directory (file-name-as-directory \"/gnu/store/81a9rjhsw7rh9p=
c5a121j65107vngyz8-emacs-magit-todos-1.4/share/emacs/site-lisp\") 0 1))" fa=
iled with status 255
builder for `/gnu/store/vadbvc79isvvy0wjyx5i0rbr2gr7xlab-emacs-magit-todos-=
1.4.drv' failed with exit code 1
build of /gnu/store/vadbvc79isvvy0wjyx5i0rbr2gr7xlab-emacs-magit-todos-1.4.=
drv failed
--8<---------------cut here---------------end--------------->8---




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 14:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 09:21:36 2019
Received: from localhost ([127.0.0.1]:53725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZyCF-0002PR-P7
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 09:21:35 -0500
Received: from mail1.fsfe.org ([217.69.89.151]:45812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1iZyCD-0002PG-AC
 for 38309 <at> debbugs.gnu.org; Wed, 27 Nov 2019 09:21:34 -0500
From: Jelle Licht <jlicht@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-Reply-To: <87o8wxto8o.fsf@HIDDEN>
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 <87o8wxto8o.fsf@HIDDEN>
Date: Wed, 27 Nov 2019 15:21:30 +0100
Message-ID: <87blsxwgb9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 38309
Cc: 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> [...]
> I've tested these changes with a Gnome VM and the EMACSLOADPATH is now
> reduced to just the Emacs' lisp directory as well as the
> share/emacs/site-lisp directory of any profile.  Thanks for the great
> ideas :-).

Would this still allow Emacs to load packages from Guix' environments as well?





Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 14:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 09:15:47 2019
Received: from localhost ([127.0.0.1]:53721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZy6d-0002Cl-0x
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 09:15:47 -0500
Received: from mail-wr1-f46.google.com ([209.85.221.46]:36800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iZy6a-0002CO-7R
 for 38309 <at> debbugs.gnu.org; Wed, 27 Nov 2019 09:15:45 -0500
Received: by mail-wr1-f46.google.com with SMTP id z3so26854663wru.3
 for <38309 <at> debbugs.gnu.org>; Wed, 27 Nov 2019 06:15:44 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=JRm/zAyf2Ix6hf/n/RjcjZq2ZRKiVqOlBAFNdP+Azpk=;
 b=bFxpjhdIEdl46f8s+3/db6pIkcQv9WB2X56nZ1dHRbBBA9vaG+LkucLp34iV/D6o4u
 Rr/Up4sJquZwGY0AOy0yR6t+uWjDzimiaOhGOzfMX+BwnjMkwZJf6wHPge17MeUam7YS
 BxfDvcuUHmZiT6gjyXsqWXXyEtqVC5c0aJZe6pHdQ+r/UOAhop9Vy1g/zZUsiqujXdBp
 O82TxxToEIATjlOXKaPgcw70CIY4S1LTwIHRSwMB/8Uqng9D8amnVq0bmOBS/J5YKljN
 dr/T+yNR6oJU5NDDnVpkZWqVj9cvtrb1YgUeUCV7s2XKSMK6dUgKo8tofnMlyH176M82
 MpyA==
X-Gm-Message-State: APjAAAUv3G0DvgnvJNqpDXF0y3mOU4o4NjivwJSLu/2urut9G8j5J6QF
 L2DOG42nEAQ3DDfK2s5MxxI=
X-Google-Smtp-Source: APXvYqz45Ix4hqJlGlItI0Uno0X+C3+shJwsWDNn72ayK28+PkTrJ/gTF6xp3r+A91VIXTkVEVLsxQ==
X-Received: by 2002:adf:e40e:: with SMTP id g14mr21351849wrm.264.1574864138469; 
 Wed, 27 Nov 2019 06:15:38 -0800 (PST)
Received: from newt (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id c144sm6854606wmd.1.2019.11.27.06.15.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Nov 2019 06:15:37 -0800 (PST)
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <874kyrvphw.fsf@HIDDEN> <87k17n0z9t.fsf@HIDDEN>
 <87h82ptnp4.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87h82ptnp4.fsf@HIDDEN>
Date: Wed, 27 Nov 2019 15:15:37 +0100
Message-ID: <87d0ddpfqu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38309
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi Maxim,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> I was ready to revert the changes when I saw a reply from Leo Prikler in
> this thread.  They had really good ideas that I believe fix the
> annoyances you reported about the recent changes, while preserving the
> new plus points (per profile management of Emacs packages, 'guix
> environment --ad-hoc' that works for Emacs, simplified build system).
>
> Perhaps you could try it out and see if it indeed fixes the problems you
> reported?

Sure!  I'll try this as soon as possible and get back to you.  Thank
you!

Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 14:10:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 09:10:24 2019
Received: from localhost ([127.0.0.1]:53715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZy1Q-00022l-Ae
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 09:10:24 -0500
Received: from mail-qt1-f172.google.com ([209.85.160.172]:39081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iZy1O-00022W-Om
 for 38309 <at> debbugs.gnu.org; Wed, 27 Nov 2019 09:10:23 -0500
Received: by mail-qt1-f172.google.com with SMTP id g1so16089417qtj.6
 for <38309 <at> debbugs.gnu.org>; Wed, 27 Nov 2019 06:10:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=KPfCEb9s9uhhGBlWZ2rMsMxuJH8QcFvJpdFMOvTi9hA=;
 b=MzlohxBnCLFe94b0qne7TYET6+9Xzxp/rPgPiMIa1wMQQkL1TVsSYLkjmqtp/PyH+M
 zbAxUyDHnrM9Xn7dqmV+lImHELfhKyGE+rPH5yaZeM5w6v7+FpbadZAPx14h7JhThuCr
 BWA0ralde3ISBB489GjWQNQqbbK+z3qKWSZ8bd+bgcduWuHQD9zZnKB1im8YQejO4G+e
 vr8m71lvLDXDd7LZP5BRRIpQuNvKA8SjUZlcePVjjhKGgfclNWG/GKOjMXy8qccIlhNT
 V8KsDHfyZTy1PRrMJYUVtiDdOEEJnyZ3M7LEIDMLEDbv3WXIhJioS5P3qfB7+6OPXY+f
 ySnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=KPfCEb9s9uhhGBlWZ2rMsMxuJH8QcFvJpdFMOvTi9hA=;
 b=udCidMMDgOH/m7NWD+c92jbGYjhnKf26tFGBPBupICjKIjxwADtU6DtlxANogoeuJf
 TCLS3uq1O62SbWGh9xyONzF88D3mU60BjhcIIzmlbp/wY8kjKvM1ChhmjX459C9fh9cx
 LAAzBjm8l9KgVZU480+vQgCkWkk26zWtFaqZBThNahmSxKZ2YaPpEL+5XB/5yMlzcP/9
 CEV3L9UGRCaKWzGlaCGbuBpxv1Pz30rJ09ZVzVq0pysdTdzHHbO+tQ5ajJCUcT9KKbsJ
 gwKbHemSHFuwCu5Ihg65SgjjxzXkoE+lu/BwxgXJhXXyL1HEH+V0GpAZMzGLkPc9Odjz
 JwHA==
X-Gm-Message-State: APjAAAXGnztba3XRXqwGyxpyZooF1AVtI5yaQ+Wl2BzAOcPh1pXTnn6Z
 2tD69yaB7mQd8ed6QpAfc18=
X-Google-Smtp-Source: APXvYqwssz8ES2mComCT3L6K6bu18GgrwQ+/BoUbPwN9t2ryTUPnWJzO5DH10/nhr+/znwOI0gRD+w==
X-Received: by 2002:ac8:6941:: with SMTP id n1mr38970019qtr.36.1574863817361; 
 Wed, 27 Nov 2019 06:10:17 -0800 (PST)
Received: from x200 (dsl-152-26.b2b2c.ca. [66.158.152.26])
 by smtp.gmail.com with ESMTPSA id d13sm7677093qta.67.2019.11.27.06.10.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Nov 2019 06:10:16 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <874kyrvphw.fsf@HIDDEN> <87k17n0z9t.fsf@HIDDEN>
Date: Wed, 27 Nov 2019 23:10:15 +0900
In-Reply-To: <87k17n0z9t.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Tue, 26 Nov 2019 10:20:46 +0100")
Message-ID: <87h82ptnp4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Cl=C3=A9ment,

clement@HIDDEN (Cl=C3=A9ment Lassieur) writes:

[...]

>> If those affected judge the situation dire enough, I don't mind
>> reverting the changes to the Emacs library loading mechanism for the
>> time being.
>
> Please, do so :)
>
> Lots of users don't have that bug, but there's still a change in their
> workflow: they have to restart their session after installing new Emacs
> packages.  Maybe when that bug is fixed and this set of patch is
> re-applied, there will be an opportunity to communicate about this?  On
> info-guix maybe, or on 'guix pull'.  It would explain the pros and cons
> of this new way of dealing with Emacs.  I don't know if there was such
> an announcement already, I didn't see it.  WDYT?

I was ready to revert the changes when I saw a reply from Leo Prikler in
this thread.  They had really good ideas that I believe fix the
annoyances you reported about the recent changes, while preserving the
new plus points (per profile management of Emacs packages, 'guix
environment --ad-hoc' that works for Emacs, simplified build system).

Perhaps you could try it out and see if it indeed fixes the problems you
reported?

Thank you,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 13:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 08:58:44 2019
Received: from localhost ([127.0.0.1]:53696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZxq7-0001gh-7d
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 08:58:44 -0500
Received: from mail-qt1-f174.google.com ([209.85.160.174]:34723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iZxq4-0001gO-R3
 for 38309 <at> debbugs.gnu.org; Wed, 27 Nov 2019 08:58:41 -0500
Received: by mail-qt1-f174.google.com with SMTP id i17so25432712qtq.1
 for <38309 <at> debbugs.gnu.org>; Wed, 27 Nov 2019 05:58:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=oDJl5BYhqwwltyHsjeEKRjrK0lETQM1gbDe/S3Hb1UA=;
 b=rjcxjZ7XrJ79xiP81gmRcMie7owUwVOkPkB25vuTJ6ioY75jux/ys6Np22MzWme2kj
 n4wn7/TOqGgzXR0NKy0xlKtrNBISZ+A8umYUalHiypzKjOar6Wv3hHGjrQ9aL6wmgb9I
 safqyaS/FovDere7VsrrlnyGn04sLTSyiAm06LAisrop6Z02hzrE256xIZy2OJzIqlZG
 KXRRno0GzBX7wa63KZaECE0VxbEQgo7doVhdfi/QpFfKtPjSd6ZA5XV4veApXXggFUPn
 NHGG3igt+4MHQCRHoCXetBEyh/6zUiuXgSI135gfh4HArDnCCje/ppD5y1FR/Tsqfo9W
 wXOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=oDJl5BYhqwwltyHsjeEKRjrK0lETQM1gbDe/S3Hb1UA=;
 b=tL+Nj9BghejiXj0V7g9wv0eXiPjkpPkHNBNPTA68kNahmHCltqplJ7luZ5/2P6dqeN
 FpNIn6Ie92Mu7hAfM7Bp9ZbmdDK2ZZ4fiEVh0P+6k1XA0KmpEJ0zdGrMgtYPQO8JeEAl
 9ObTiDge2D+8Ujxeag/zetvl82CI6zQ4WAy+93sVWW2APaDSA1wWQZvS+afOeZttlme8
 QsMQUJwZ/Vwxy9yKtvzkhjFGGCUD6a+3OoiMZAuPwSI+Vi+xzkFGYIaTMNQ5KNmrVjRA
 73/dQg3+bED4T71tTGVNnrvN16w6ScZdXZ56tWnXrJ79MYy3MWqR37IKsLqQ47wreUp0
 ka8g==
X-Gm-Message-State: APjAAAURgrdsSOJQAfF9qCfdQUmhZmWDHVm0JX0GPsZ0hlh4kisrzq22
 qp2EjqqZvViSB9bn1hRJ3KdlcFjy
X-Google-Smtp-Source: APXvYqwMIlV++opi0DaNPbeMimjp7dvXJsXtX0CeVXo044yRakN69lAI/XuYzPosNyrOINMFR/9iVA==
X-Received: by 2002:ac8:167c:: with SMTP id x57mr25039397qtk.255.1574863113809; 
 Wed, 27 Nov 2019 05:58:33 -0800 (PST)
Received: from x200 (dsl-152-26.b2b2c.ca. [66.158.152.26])
 by smtp.gmail.com with ESMTPSA id x8sm7342021qts.82.2019.11.27.05.58.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Nov 2019 05:58:32 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
Date: Wed, 27 Nov 2019 22:58:31 +0900
In-Reply-To: <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
 (Leo Prikler's message of "Wed, 27 Nov 2019 01:01:31 +0100")
Message-ID: <87o8wxto8o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: ludo@HIDDEN, 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello Leo!

Leo Prikler <leo.prikler@HIDDEN> writes:

> Hi everyone,
>
> Am Dienstag, den 26.11.2019, 09:56 +0100 schrieb Ludovic Court=C3=A8s:=20
>> are we not going overboard with that big a environment variable? :-)
> I think I vaguely remember a related discussion about the Emacs build
> system adding the guix.d directory, which further worsens this problem
> [1].  Putting that aside however, $EMACSLOADPATH should not contain
> more than
> - $GUIX_PROFILE/share/emacs/$EMACS_VERSION/lisp
> - $GUIX_PROFILE/share/emacs/$EMACS_VERSION/site-lisp
> - $GUIX_PROFILE/share/emacs/site-lisp
> If I read (elisp)Library Search correctly, these directories each
> contain a file to add their subdirectories to the load-path variable.=20=
=20
> This can be confirmed by searching in the store or through message-
> debugging.  It appears, however, that these files are not quite
> sufficient.  While the load-path is indeed modified, no autoloading
> occurs for files inside guix.d -- indeed, I doubt it would occur for
> any package, regardless of how we name it.

That's a precious find!  I could validate your findings.  The only place
we don't have a union of the Elisp directories (with a subdirs.el file)
is at build time, but in the event we'd stop producing guix.d the search
path would work natively there (as well as causing any newly installed
libraries to be found without any rescanning of directories).

> After further digging around, this appears to be a bug in guix-emacs.=20
> Rather than using the load-path variable, it uses $EMACSLOADPATH
> directly via getenv.  I suggest either recursing into subdirectories as
> Emacs itself would or using load-path instead of reverse engineering
> it, preferring the latter if applicable.
>
> Now that this has been cleared up, a fix should be in reach.  First we
> would fix guix-emacs, then we can restrict $EMACSLOADPATH to the above
> three -- perhaps two, as the versioned site-lisp appears unused.

Neat!  I find that this works best when guix.d is removed, as otherwise

1) relying on the load-path would mean we'd have to restart Emacs when
installed new libraries under guix.d directories (to have subdirs.el to
its magic and add them to the load-path)

2) the emacs-build-system simplifications that were made would need to
be reverted because at build time we don't have a profile with
subdirs.el readily available, and must manually hunt for the guix.d
subdirectories.

3) Even if we scanned directories recursively for autoloads from
EMACSLOADPATH ourselves in emacs-guix.el, a user would still need to
call the guix-emacs-autoload-packages manually after installing new
Elisp packages to have Emacs find them.

I've tested these changes with a Gnome VM and the EMACSLOADPATH is now
reduced to just the Emacs' lisp directory as well as the
share/emacs/site-lisp directory of any profile.  Thanks for the great
ideas :-).

Some packages would need to be adapted to finalize the move to a
guix.d-less installation directory (some recipes refer to it), but this
is trivial to do.  The documentation would need to be adapted as well.
I can take care of this if someones deems the attached patches fit to
fix the problems mentioned in this ticket.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-build-emacs-build-system-Unify-the-installation-dire.patch
Content-Transfer-Encoding: quoted-printable

From=20141e7e8c45c39fbe2e6cfa879f1dc7b7f721bbfc Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Sat, 23 Nov 2019 12:04:50 +0900
Subject: [PATCH 1/6] build: emacs-build-system: Unify the installation
 directory.

This change aims to reduce the length of the EMACSLOADPATH environment
variable, which was found to cause issues such as bug
\#38309 (https://bugs.gnu.org/38309).

It should also enable discovery of newly installed packages without refresh=
ing
the session's EMACSLOADPATH of the user profile (e.g., when launching Emacs
from the desktop manager application launcher), as discussed in bug
\#38309 (https://bugs.gnu.org/38309).

* guix/build/emacs-build-system.scm (%legacy-install-suffix): Rename to...
(%install-dir): ...this.
(%install-suffix): Remove variable.
(build): Adjust installation target directory.
(patch-el-files): Likewise.
(install): Likewise.
(move-doc): Likewise.
(make-autoloads): Likewise.
=2D--
 guix/build/emacs-build-system.scm | 39 +++++++++++++------------------
 1 file changed, 16 insertions(+), 23 deletions(-)

diff --git a/guix/build/emacs-build-system.scm b/guix/build/emacs-build-sys=
tem.scm
index f0c41812f1..e2b792d3dc 100644
=2D-- a/guix/build/emacs-build-system.scm
+++ b/guix/build/emacs-build-system.scm
@@ -40,11 +40,10 @@
 ;;
 ;; Code:
=20
=2D;; Directory suffix where we install ELPA packages.  We avoid ".../elpa"=
 as
=2D;; Emacs expects to find the ELPA repository 'archive-contents' file and=
 the
=2D;; archive signature.
=2D(define %legacy-install-suffix "/share/emacs/site-lisp")
=2D(define %install-suffix (string-append %legacy-install-suffix "/guix.d"))
+;;; All the packages are installed directly under site-lisp, which means t=
hat
+;;; having that directory in the EMACSLOADPATH is enough to have them foun=
d by
+;;; Emacs.
+(define %install-dir "/share/emacs/site-lisp")
=20
 ;; These are the default inclusion/exclusion regexps for the install phase.
 (define %default-include '("^[^/]*\\.el$" "^[^/]*\\.info$" "^doc/.*\\.info=
$"))
@@ -87,11 +86,10 @@ environment variable\n" source-directory)))
   "Compile .el files."
   (let* ((emacs (string-append (assoc-ref inputs "emacs") "/bin/emacs"))
          (out (assoc-ref outputs "out"))
=2D         (elpa-name-ver (store-directory->elpa-name-version out))
=2D         (el-dir (string-append out %install-suffix "/" elpa-name-ver)))
+         (site-lisp (string-append out %install-dir)))
     (setenv "SHELL" "sh")
     (parameterize ((%emacs emacs))
=2D      (emacs-byte-compile-directory el-dir))))
+      (emacs-byte-compile-directory site-lisp))))
=20
 (define* (patch-el-files #:key outputs #:allow-other-keys)
   "Substitute the absolute \"/bin/\" directory with the right location in =
the
@@ -108,9 +106,7 @@ store in '.el' files."
       #:binary #t))
=20
   (let* ((out (assoc-ref outputs "out"))
=2D         (elpa-name-ver (store-directory->elpa-name-version out))
=2D         (el-dir (string-append out %install-suffix "/" elpa-name-ver))
=2D
+         (site-lisp (string-append out %install-dir))
          ;; (ice-9 regex) uses libc's regexp routines, which cannot deal w=
ith
          ;; strings containing NULs.  Filter out such files.  TODO: Remove
          ;; this workaround when <https://bugs.gnu.org/30116> is fixed.
@@ -124,7 +120,7 @@ store in '.el' files."
              (error "patch-el-files: unable to locate " cmd-name))
            (string-append "\"" cmd "\"")))))
=20
=2D    (with-directory-excursion el-dir
+    (with-directory-excursion site-lisp
       ;; Some old '.el' files (e.g., tex-buf.el in AUCTeX) are still
       ;; ISO-8859-1-encoded.
       (unless (false-if-exception (substitute-program-names))
@@ -175,15 +171,14 @@ parallel. PARALLEL-TESTS? is ignored when using a non=
-make TEST-COMMAND."
            (not (any (cut match-stripped-file "excluded" <>) exclude)))))
=20
   (let* ((out (assoc-ref outputs "out"))
=2D         (elpa-name-ver (store-directory->elpa-name-version out))
=2D         (target-directory (string-append out %install-suffix "/" elpa-n=
ame-ver))
+         (site-lisp (string-append out %install-dir))
          (files-to-install (find-files source install-file?)))
     (cond
      ((not (null? files-to-install))
       (for-each
        (lambda (file)
          (let* ((stripped-file (string-drop file (string-length source)))
=2D                (target-file (string-append target-directory stripped-fi=
le)))
+                (target-file (string-append site-lisp stripped-file)))
            (format #t "`~a' -> `~a'~%" file target-file)
            (install-file file (dirname target-file))))
        files-to-install)
@@ -197,14 +192,12 @@ parallel. PARALLEL-TESTS? is ignored when using a non=
-make TEST-COMMAND."
 (define* (move-doc #:key outputs #:allow-other-keys)
   "Move info files from the ELPA package directory to the info directory."
   (let* ((out (assoc-ref outputs "out"))
=2D         (elpa-name-ver (store-directory->elpa-name-version out))
=2D         (el-dir (string-append out %install-suffix "/" elpa-name-ver))
=2D         (name-ver (strip-store-file-name out))
+         (site-lisp (string-append out %install-dir))
          (info-dir (string-append out "/share/info/"))
=2D         (info-files (find-files el-dir "\\.info$")))
+         (info-files (find-files site-lisp "\\.info$")))
     (unless (null? info-files)
       (mkdir-p info-dir)
=2D      (with-directory-excursion el-dir
+      (with-directory-excursion site-lisp
         (when (file-exists? "dir") (delete-file "dir"))
         (for-each (lambda (f)
                     (copy-file f (string-append info-dir "/" (basename f)))
@@ -216,11 +209,11 @@ parallel. PARALLEL-TESTS? is ignored when using a non=
-make TEST-COMMAND."
   "Generate the autoloads file."
   (let* ((emacs (string-append (assoc-ref inputs "emacs") "/bin/emacs"))
          (out (assoc-ref outputs "out"))
+         (site-lisp (string-append out %install-dir))
          (elpa-name-ver (store-directory->elpa-name-version out))
=2D         (elpa-name (package-name->name+version elpa-name-ver))
=2D         (el-dir (string-append out %install-suffix "/" elpa-name-ver)))
+         (elpa-name (package-name->name+version elpa-name-ver)))
     (parameterize ((%emacs emacs))
=2D      (emacs-generate-autoloads elpa-name el-dir))))
+      (emacs-generate-autoloads elpa-name site-lisp))))
=20
 (define (emacs-package? name)
   "Check if NAME correspond to the name of an Emacs package."
=2D-=20
2.24.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0002-gnu-emacs-Simplify-the-EMACSLOADPATH-search-path-spe.patch
Content-Transfer-Encoding: quoted-printable

From=206c2fcc4b6f4e8cf8e0b05858b2daa459cb390635 Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Wed, 27 Nov 2019 13:40:20 +0900
Subject: [PATCH 2/6] gnu: emacs: Simplify the EMACSLOADPATH search path
 specification.

The EMACSLOADPATH can be greatly simplified by relying on a subdirs.el file
that causes Emacs to search recursively a directory found in EMACSLOADPATH.

* gnu/packages/emacs.scm (emacs)[native-search-paths]: Remove the match-all
file pattern regexp.  Remove the versioned site-lisp directory from searched
files, as it appears unused by Emacs.

Reported-by: Leo Prikler <leo.prikler@HIDDEN>
=2D--
 gnu/packages/emacs.scm | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 16f9af0a0a..95859b8a88 100644
=2D-- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -186,11 +186,9 @@
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
=2D            ;; The versioned entries are for the Emacs' builtin librarie=
s.
=2D            (files (list (string-append "share/emacs/" version "/site-li=
sp")
=2D                         (string-append "share/emacs/" version "/lisp")
=2D                         "share/emacs/site-lisp"))
=2D            (file-pattern ".*"))        ;recursively add any sub directo=
ry
+            ;; The versioned entry is for the Emacs' builtin libraries.
+            (files (list (string-append "share/emacs/" version "/lisp")
+                         "share/emacs/site-lisp")))
            (search-path-specification
             (variable "INFOPATH")
             (files '("share/info")))))
=2D-=20
2.24.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-gnu-emacs-Fix-guix-emacs.el-indentation.patch
Content-Transfer-Encoding: quoted-printable

From=20319b81ef8cbfd68c1c98fe644795ef28ad490bd9 Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Wed, 27 Nov 2019 13:51:53 +0900
Subject: [PATCH 3/6] gnu: emacs: Fix guix-emacs.el indentation.

* gnu/packages/aux-files/emacs/guix-emacs.el: Fix indentation.
=2D--
 gnu/packages/aux-files/emacs/guix-emacs.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/aux-files/emacs/guix-emacs.el b/gnu/packages/aux-=
files/emacs/guix-emacs.el
index 46ee557f20..b4315c1a2e 100644
=2D-- a/gnu/packages/aux-files/emacs/guix-emacs.el
+++ b/gnu/packages/aux-files/emacs/guix-emacs.el
@@ -54,8 +54,8 @@ The files in the list do not have extensions (.el, .elc)."
           (seq-filter (lambda (dir)
                         (string-match-p "/share/emacs/site-lisp" dir))
                       (split-string emacs-load-path ":")))
=2D          (autoloads (mapcan #'guix-emacs-find-autoloads
=2D                             emacs-non-core-load-path-directories)))
+         (autoloads (mapcan #'guix-emacs-find-autoloads
+                            emacs-non-core-load-path-directories)))
     (mapc (lambda (f)
             (load f 'noerror))
           autoloads)))
=2D-=20
2.24.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0004-gnu-emacs-Use-load-path-instead-of-EMACSLOADPATH.patch
Content-Transfer-Encoding: quoted-printable

From=203c8b5f63b2e34556463c22fa1565b46c1b31033c Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Wed, 27 Nov 2019 14:02:42 +0900
Subject: [PATCH 4/6] gnu: emacs: Use load-path instead of EMACSLOADPATH.

This enables the use of the subdirs.el feature of Emacs, where specifying a
directory in EMACSLOADPATH translates into a `load-path' variable containing
the directory and all its sub-directories.

* gnu/packages/aux-files/emacs/guix-emacs.el (guix-emacs-autoload-packages):
Use `load-path' directly instead of parsing EMACSLOADPATH.

Reported-by: Leo Prikler <leo.prikler@HIDDEN>
=2D--
 gnu/packages/aux-files/emacs/guix-emacs.el | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/aux-files/emacs/guix-emacs.el b/gnu/packages/aux-=
files/emacs/guix-emacs.el
index b4315c1a2e..05fc9709b6 100644
=2D-- a/gnu/packages/aux-files/emacs/guix-emacs.el
+++ b/gnu/packages/aux-files/emacs/guix-emacs.el
@@ -47,13 +47,12 @@ The files in the list do not have extensions (.el, .elc=
)."
   ;; FIXME: The autoloads generated by the emacs-build-system are not byte
   ;; compiled.
   (interactive)
=2D  (let* ((emacs-load-path (getenv "EMACSLOADPATH"))
=2D         (emacs-non-core-load-path-directories
+  (let* ((emacs-non-core-load-path-directories
           ;; Filter out core Elisp directories, which are already autoload=
ed
           ;; by Emacs.
           (seq-filter (lambda (dir)
                         (string-match-p "/share/emacs/site-lisp" dir))
=2D                      (split-string emacs-load-path ":")))
+                      load-path))
          (autoloads (mapcan #'guix-emacs-find-autoloads
                             emacs-non-core-load-path-directories)))
     (mapc (lambda (f)
=2D-=20
2.24.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0005-gnu-emacs-ert-runner-Fix-build.patch
Content-Transfer-Encoding: quoted-printable

From=20baccbc37f60843f10e0bd384b5729e7670784b7a Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Wed, 27 Nov 2019 22:32:40 +0900
Subject: [PATCH 5/6] gnu: emacs-ert-runner: Fix build.

* gnu/packages/emacs-xyz.scm (emacs-ert-runner): Refer to the updated
installation directory.
=2D--
 gnu/packages/emacs-xyz.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 0caf12a423..7f140ad5de 100644
=2D-- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -9859,8 +9859,7 @@ Emacs.")
                  (substitute* "bin/ert-runner"
                    (("ERT_RUNNER=3D\"\\$\\(dirname \\$\\(dirname \\$0\\)\\=
)")
                     (string-append "ERT_RUNNER=3D\"" out
=2D                                   "/share/emacs/site-lisp/guix.d/ert-ru=
nner-"
=2D                                   ,version)))
+                                   "/share/emacs/site-lisp")))
                  (install-file "bin/ert-runner" (string-append out "/bin"))
                  (wrap-program (string-append out "/bin/ert-runner")
                    (list "EMACSLOADPATH" ":" 'prefix
=2D-=20
2.24.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0006-gnu-emacs-emacsql-Fix-build.patch
Content-Transfer-Encoding: quoted-printable

From=200c7f859eff56d631ffe73227f012c6117040ade4 Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Wed, 27 Nov 2019 22:34:44 +0900
Subject: [PATCH 6/6] gnu: emacs-emacsql: Fix build.

* gnu/packages/emacs-xyz.scm (emacs-emacsql): Refer to the updated
installation directory.
=2D--
 gnu/packages/emacs-xyz.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 7f140ad5de..a30685189b 100644
=2D-- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -11948,8 +11948,7 @@ object has been freed.")
                (install-file "sqlite/emacsql-sqlite"
                              (string-append out "/bin"))
                (for-each (cut install-file <>
=2D                              (string-append out "/share/emacs/site-lisp=
/guix.d/"
=2D                                             "emacsql" "-" ,version))
+                              (string-append out "/share/emacs/site-lisp"))
                          (find-files "." "\\.elc*$")))
              #t)))))
     (inputs
=2D-=20
2.24.0


--=-=-=
Content-Type: text/plain


Maxim


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=vm-desktop-config.scm
Content-Description: VM config for testing

;; This is an operating system configuration template
;; for a "desktop" setup with GNOME and Xfce where the
;; root partition is encrypted with LUKS.

(use-modules (gnu) (gnu system nss))
(use-service-modules desktop xorg ssh)
(use-package-modules certs gnome emacs emacs-xyz databases gdb)

(operating-system
  (host-name "antelope")
  (timezone "Europe/Paris")
  (locale "en_US.utf8")

  ;; Choose US English keyboard layout.  The "altgr-intl"
  ;; variant provides dead keys for accented characters.
  (keyboard-layout (keyboard-layout "us" "altgr-intl"))

  ;; Use the UEFI variant of GRUB with the EFI System
  ;; Partition mounted on /boot/efi.
  (bootloader (bootloader-configuration
               (bootloader grub-efi-bootloader)
               (target "/boot/efi")
               (keyboard-layout keyboard-layout)))

  ;; Specify a mapped device for the encrypted root partition.
  ;; The UUID is that returned by 'cryptsetup luksUUID'.
  (mapped-devices
   (list (mapped-device
          (source (uuid "12345678-1234-1234-1234-123456789abc"))
          (target "my-root")
          (type luks-device-mapping))))

  (file-systems (append
                 (list (file-system
                         (device (file-system-label "my-root"))
                         (mount-point "/")
                         (type "ext4")
                         (dependencies mapped-devices))
                       (file-system
                         (device (uuid "1234-ABCD" 'fat))
                         (mount-point "/boot/efi")
                         (type "vfat")))
                 %base-file-systems))

  (users (cons (user-account
                (name "bob")
                (comment "Alice's brother")
                (group "users")
                (supplementary-groups '("wheel" "netdev"
                                        "audio" "video")))
               %base-user-accounts))

  ;; This is where we specify system-wide packages.
  (packages (cons* gdb
		   emacs-datetime
		   emacs-dashboard
		   emacs-dash
		   emacs-dash-docs
		   emacs-darkroom
		   emacs-dante
		   emacs-danneskjold-theme
		   emacs-daemons
		   emacs-d-mode
		   emacs-cyberpunk-theme
		   emacs-ctable
		   emacs-csv-mode
		   emacs-crux
		   emacs-counsel-tramp
		   emacs-counsel-projectile
		   emacs-counsel-etags
		   emacs-counsel-dash
		   emacs-constants
		   emacs-compdef
		   emacs-company
		   emacs-company-restclient
		   emacs-company-quickhelp
		   emacs-company-math
		   emacs-company-lua
		   emacs-company-lsp
		   emacs-company-jedi
		   emacs-company-irony
		   emacs-company-flow
		   emacs-company-cabal
		   emacs-company-auctex
		   emacs-commander
		   emacs-column-marker
		   emacs-cnfonts
		   emacs-cmake-font-lock
		   emacs-closql
		   emacs-clojure-mode
		   emacs-cl-print
		   emacs-cl-generic
		   emacs-circe
		   emacs-cider
		   emacs-cdlatex
		   emacs-ccls
		   ;emacs-calfw
		   emacs-buttercup
		   emacs-butler
		   emacs-build-farm
		   emacs-bui
		   emacs-bug-hunter
		   emacs-browse-at-remote
		   emacs-bongo
		   emacs-blimp
		   emacs-biblio
		   emacs-better-defaults
		   emacs-benchmark-init
		   emacs-beginend
		   emacs-bbdb
		   emacs-bash-completion
		   emacs-base16-theme
		   emacs-avy
		   emacs-autothemer
		   emacs-auto-yasnippet
		   emacs-auto-complete
		   emacs-auctex
		   emacs-attrap
		   emacs-atom-one-dark-theme
		   emacs-async
		   emacs-ascii-art-to-unicode
		   emacs-arduino-mode
		   emacs-apheleia
		   emacs-anzu
		   emacs-ansi
		   emacs-annalist
		   emacs-anaphora
		   emacs-amx
		   emacs-ample-regexps
		   emacs-all-the-icons
		   emacs-all-the-icons-dired
		   emacs-alert
		   emacs-alect-themes
		   emacs-ahungry-theme
		   emacs-aggressive-indent
		   emacs-ag
		   emacs-adoc-mode
		   emacs-add-node-modules-path
		   emacs-add-hooks
		   emacs-adaptive-wrap
		   emacs-ace-window
		   emacs-ace-link
		   emacs-ace-jump-mode
		   emacs-academic-phrases
		   emacs-a
		   emacs-2048-game
		   emacs-magit
		   emacs-ws-butler
		   emacs-string-inflection
		   emacs-recutils
		   emacs-grep-a-lot
		   emacs-diff-hl
		   emacs
                   %base-packages))

  ;; Add GNOME and Xfce---we can choose at the log-in screen
  ;; by clicking the gear.  Use the "desktop" services, which
  ;; include the X11 log-in service, networking with
  ;; NetworkManager, and more.
  (services (append (list (service gnome-desktop-service-type)
                          (service xfce-desktop-service-type)
			  (service openssh-service-type
                                   (openssh-configuration
                                    (permit-root-login #t)
                                    (allow-empty-passwords? #t)))
                          (set-xorg-configuration
                           (xorg-configuration
                            (keyboard-layout keyboard-layout))))
                    %desktop-services))

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEJ9WGpPiQCFQyn/CfEmDkZILmNWIFAl3egQcACgkQEmDkZILm
NWKnpA//R7Wo0YibMzNiqqmgcrpZw1wzMe+wredm/T+Dh1DzPm6glwahBDDHfw7j
PACf+fM4RXAb6fSMD0fH8r8J6X/1QbzNw7zspG46rSMD03H6zA08GhcYHkOFXcNr
CiMl5vOancEgqkE1gHQbss/irF2oBqYWVjfz7Czj6E8/6yQAHFr7RulKwvekhVwK
WWfi41WDaVMo3MLbRYdGQ/SPjkWzUjZ6M9f4s+z4FXBjfRbVx6ZYG9IBRVUpDk7X
DFQrvA2sObZZ+DFe2YNHcTAQlj8Yban4kM3iUNErzU4JeJzxn6uHcQAfjIvJe+FY
zFSa+YlWR8Ic/QDbpdDwOPMiEvohn75gr3dqICMf3C4Cj9an5Ypiwmv9szDI1Wff
qrXBJay1jOcK82INnUlDDpDY1YfOgaadn3mQH7bd9FJLgtQx76x8X2M269hlvelR
t2KmKRXRMqCKuoYOK0yZa2Vuo2tBlLRfMEV9Qn1CziHs7uESeejSbfLDXUPCjm58
6xXQT0MRuCmFm7lpSNiKkJ4GXkH7z1gaJ0Kkv1/xopGXhOtERgq6f7c/K1mQWXUB
sOy1VYbCuJ2cMUXkdve0pgAH6RE1p69cCICfrcmm4itjdsCd033RGZgbmn2nzCJI
KLBkcEkA7heJqnR/6ZOQF9y8YkwayCyIHZMOmhxkL9gXC6/OE2s=
=0jtx
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 09:04:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 04:04:30 2019
Received: from localhost ([127.0.0.1]:53427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZtFN-0002Q0-TF
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 04:04:30 -0500
Received: from mail-wr1-f46.google.com ([209.85.221.46]:35206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iZtFM-0002Po-9G
 for 38309 <at> debbugs.gnu.org; Wed, 27 Nov 2019 04:04:28 -0500
Received: by mail-wr1-f46.google.com with SMTP id s5so25685604wrw.2
 for <38309 <at> debbugs.gnu.org>; Wed, 27 Nov 2019 01:04:28 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Vzsx3QtYY6gt16ycvExZMGGac4S9nW2YVsOxg4sp5Js=;
 b=kL7tQjf5IbQEMY2wpX886B8y8oFp/71rlzC5Xu19T67sSGHzTSwuCUfp6IOzwUeU5F
 jNXnhGqnUYytEvTQvnp9U70CxZx3iOZWBaQl7fW/J6DnLqqA8aE2IvAUzRXiVpAf/dcH
 Jw150pmE2MOUYOstRBqXdV+rd3/3HB4YDY3nose6JwnAI0UKESWXUYk4HM22hGdgyNoS
 pdebetcElmAwvKkzIQ2kaWKSJVU6jnog4nmVxAj531fw1yRCqT5GBim/75pvnDGm7Qls
 Nwfz/yNP/dmjpdK8hbdJeIl5xZqWDbNJgiYzroYhhccHj6xByzr6/tx/E2jX0Q5aI1OS
 o5eA==
X-Gm-Message-State: APjAAAUxKWKst2nCvO8Gh1iC/bPOap5DGmBQbQkId44OqXymf5B8YLm3
 5EvMnUBT4sqVU8byjgK3PIw=
X-Google-Smtp-Source: APXvYqyjhOXH6EbuYChQaAnlusJmiBGbjqir/O2Vt8j+LpPrEcFSrmbSwl8p7CMCCjjE6LvbvwbZ6g==
X-Received: by 2002:adf:d844:: with SMTP id k4mr40207775wrl.333.1574845462512; 
 Wed, 27 Nov 2019 01:04:22 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:4850:6ca6:50b8:5b81])
 by smtp.gmail.com with ESMTPSA id 188sm6295045wmz.13.2019.11.27.01.04.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 27 Nov 2019 01:04:21 -0800 (PST)
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <87zhgjthan.fsf@HIDDEN> <87y2w3c8y1.fsf@HIDDEN>
 <87v9r6t3kv.fsf@HIDDEN>
Date: Wed, 27 Nov 2019 10:04:20 +0100
In-Reply-To: <87v9r6t3kv.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 27
 Nov 2019 12:12:32 +0900")
Message-ID: <87zhgh8zcb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38309
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Cl=C3=A9ment Lassieur <clement@HIDDEN> writes:
(in https://lists.gnu.org/archive/html/bug-guix/2019-11/msg00363.html)

> Thanks for taking the time to look into this.  I've seen your other
> email, you can install libpcre3-dbg to have PCRE's debug symbols.  It
> might help.

I thought you were reproducing with Ubuntu.


Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> About (2), I was thinking about using grafts -- IIUC this is one use
> case where they can be useful (to fix a bug and avoid rebuilding many
> packages).

This won't fix anything for users of foreign distros.




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 03:12:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 22:12:42 2019
Received: from localhost ([127.0.0.1]:53259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZnkw-0001MR-DX
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 22:12:42 -0500
Received: from mail-qt1-f179.google.com ([209.85.160.179]:35169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iZnku-0001MB-I6
 for 38309 <at> debbugs.gnu.org; Tue, 26 Nov 2019 22:12:41 -0500
Received: by mail-qt1-f179.google.com with SMTP id n4so23892807qte.2
 for <38309 <at> debbugs.gnu.org>; Tue, 26 Nov 2019 19:12:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=+4rtJnJfJWMsmoatevLD6D36cGRA/j/s97nOFajJM+c=;
 b=mlpLyZHLHIjIRBhgjkEpTLWNGVGy3WmSPgZwk4Or/RfXS47j18xGFPp9IOEqIYqWFm
 pkkZIeDpi67QINwLOy4cNP+oqKyhUuW1zf37npxI210lNm7chNcBLfLWH98Te85vS6am
 YCBYSKsyRc6bS1lAfKyGHaVzydfOKkV0LuaSTDqIwbr6TTp+jUYV4L4oWRJ2x2SvJxGN
 39VZIl+RrVJy5Mih9cdCvjfYzqhkrxQhb9lRLyXGv2sP8vNs4Mr/Gt9T16uugnBqNT8L
 wr58zAmEbEDsq0O0pn0ZW/3gCQ4ihBxC4ED0ccwQoLbMbv9iYAT/61wfX8CiANsY5IPO
 O/ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=+4rtJnJfJWMsmoatevLD6D36cGRA/j/s97nOFajJM+c=;
 b=A4zvSX1GuLoKtAFoSSReqw4kmWsqoGwa5X8b5M861PwIvFjH47BLN+QhYHpNYGvjX/
 49bWLgfKFBEGM3D07zXPBSt4PQRrvNCsUnIjKuFWnp8F1inoXbAJg4wfB1j0z4LB1G9b
 gO+vaHcvnJag+LTAgGysJSP9cT1fZbK/T5kGnWve98FiBRkVns8XzkZiQtrB8+i6EohG
 1UpA/tVOHGGtHfrdEK3f5AXV0Eq1Odnefec6axeiwOytelI199u6HwmQ0NHx5YbrmWNH
 r2fHK/Ryc+1BLhuweNA0UZ6GN08JXN5hCXugh0aafiyD5gQd/IRGT0OSL00a1aueY2Qn
 cFUA==
X-Gm-Message-State: APjAAAVyXYUxJRGxx9uavuV2a41lRPRmuTcbpoOonS5h1+Alo7kdm5V2
 5Rtv66b8CgQGzlGLFuR2yWjacUfw
X-Google-Smtp-Source: APXvYqwM2mPlmr3CgB4allIgpF/g0lDwGTK0QpI1fwXgJvWKwxikhIFsmaOIPvhluZ9p/nT43ZIc+w==
X-Received: by 2002:ac8:3f02:: with SMTP id c2mr21427030qtk.172.1574824354839; 
 Tue, 26 Nov 2019 19:12:34 -0800 (PST)
Received: from x200 (dsl-152-52.b2b2c.ca. [66.158.152.52])
 by smtp.gmail.com with ESMTPSA id h4sm6157543qkk.128.2019.11.26.19.12.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 26 Nov 2019 19:12:33 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <87zhgjthan.fsf@HIDDEN> <87y2w3c8y1.fsf@HIDDEN>
Date: Wed, 27 Nov 2019 12:12:32 +0900
In-Reply-To: <87y2w3c8y1.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Tue, 26 Nov 2019 09:56:22 +0100")
Message-ID: <87v9r6t3kv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Maxim,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> I could reproduce the gnome-session crash by generating a Guix VM with
>> the attached OS configuration (it has about 100 Emacs packages installed
>> to its system profile, which gives an EMACSLOADPATH length of about
>> 13000 characters), and got the following backtrace (no debugging
>> symbols):
>>
>> #0  0x00007ffff7837e27 in match () from /gnu/store/5j6w0x3aq0i5r9565w92l=
rh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> #1  0x00007ffff78467de in match () from /gnu/store/5j6w0x3aq0i5r9565w92l=
rh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> #2  0x00007ffff783ac48 in match () from /gnu/store/5j6w0x3aq0i5r9565w92l=
rh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> [...]
>> #17435 0x00007ffff78467de in match () from /gnu/store/5j6w0x3aq0i5r9565w=
92lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> #17436 0x00007ffff783ac48 in match () from /gnu/store/5j6w0x3aq0i5r9565w=
92lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> #17437 0x00007ffff78399c6 in match () from /gnu/store/5j6w0x3aq0i5r9565w=
92lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> #17438 0x00007ffff784a441 in pcre_exec () from /gnu/store/5j6w0x3aq0i5r9=
565w92lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
>> #17439 0x00007ffff7ceca8b in g_match_info_next () from /gnu/store/b8pr2k=
0i2zd07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
>> #17440 0x00007ffff7cee21f in g_regex_match_full () from /gnu/store/b8pr2=
k0i2zd07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
>> #17441 0x00007ffff7cee36a in g_regex_match () from /gnu/store/b8pr2k0i2z=
d07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
>> #17442 0x000000000042b779 in gsm_util_export_activation_environment ()
>> #17443 0x000000000040adde in main ()
>>
>> This tells us that the problem originates from glib.  Looking at the
>> number of match calls, libpcre is probably blowing up its stack as
>> described in this ticket [0].  According to this link, it seems glib
>> should be making use of PCRE's facilities to limit the depth of search,
>> e.g. by using "match limit" and "recursion limit" as documented here [1]
>> (search for "int pcre_exec(" on that page).
>>
>> Parallel to this, perhaps the regexp used by glib could be rewritten to
>> not rely as much on the stack.
>
> Oh great, thanks for investigating!
>
> I have a shallow understanding of the issues, but (1) are we not going
> overboard with that big a environment variable? :-), and (2) fixing GLib
> or PCRE would require a full rebuild, can you think of a way to work
> around the issue?

About (1); it's definitely bigger than others environment variables we
set in Guix (but not that different from PYTHONPATH when it is used on
the build side), but it hasn't posed a problem so far outside of glib.

I think having a recursive EMACSLOADPATH could be useful here and more
convenient for all Emacs users, so probably would be a welcome change in
upstream Emacs.  That'd reduce the length of our EMACSLOADPATH greatly.

I'm also interested in studying if we could use package.el to do the
load the autoloads files and put the packages present under a directory
in the load-path of Emacs.  It seems its variable `package-user-dir'
could play a role there.

About (2), I was thinking about using grafts -- IIUC this is one use
case where they can be useful (to fix a bug and avoid rebuilding many
packages).

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 27 Nov 2019 00:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 19:01:37 2019
Received: from localhost ([127.0.0.1]:53209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZkm1-000469-JZ
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 19:01:37 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:48847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1iZkly-00043x-MT
 for 38309 <at> debbugs.gnu.org; Tue, 26 Nov 2019 19:01:35 -0500
Received: from nijino.local (213-240-64-42.hdsl.highway.telekom.at
 [213.240.64.42])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 47N1CH5r9Cz3wGd;
 Wed, 27 Nov 2019 01:01:31 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1574812892;
 bh=P0j9xgoxkIq1+uDpqwm7mfGn07QkgWFFwDAe4azYgOI=;
 h=Subject:From:To:Cc:Date:In-Reply-To;
 b=pOW3WTsG4pHZQiHE0rV1jEew7TTvePeFiaiT4JWxAXFlUNgDxrcSnoV1HtC3zLu49
 /BrLJ+kZuCZG1UaVs3UxQ4KNUsuOsJbyrdl6n97uzPjQfDqUFDcO5CS6mPiGAUx/zs
 Njmi6Yw9Ajha4hyP5eODCrVcxYvEkk1R8KzNDI1s=
Message-ID: <674732dc751fbafbdb1e3fd4464d19e27e36607f.camel@HIDDEN>
Subject: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
From: Leo Prikler <leo.prikler@HIDDEN>
To: ludo@HIDDEN
Date: Wed, 27 Nov 2019 01:01:31 +0100
In-Reply-To: 87y2w3c8y1.fsf@HIDDEN
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.30.5 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38309
Cc: 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi everyone,

Am Dienstag, den 26.11.2019, 09:56 +0100 schrieb Ludovic Courtès: 
> are we not going overboard with that big a environment variable? :-)
I think I vaguely remember a related discussion about the Emacs build
system adding the guix.d directory, which further worsens this problem
[1].  Putting that aside however, $EMACSLOADPATH should not contain
more than
- $GUIX_PROFILE/share/emacs/$EMACS_VERSION/lisp
- $GUIX_PROFILE/share/emacs/$EMACS_VERSION/site-lisp
- $GUIX_PROFILE/share/emacs/site-lisp
If I read (elisp)Library Search correctly, these directories each
contain a file to add their subdirectories to the load-path variable.  
This can be confirmed by searching in the store or through message-
debugging.  It appears, however, that these files are not quite
sufficient.  While the load-path is indeed modified, no autoloading
occurs for files inside guix.d -- indeed, I doubt it would occur for
any package, regardless of how we name it.

After further digging around, this appears to be a bug in guix-emacs. 
Rather than using the load-path variable, it uses $EMACSLOADPATH
directly via getenv.  I suggest either recursing into subdirectories as
Emacs itself would or using load-path instead of reverse engineering
it, preferring the latter if applicable.

Now that this has been cleared up, a fix should be in reach.  First we
would fix guix-emacs, then we can restrict $EMACSLOADPATH to the above
three -- perhaps two, as the versioned site-lisp appears unused.

WDYT?

Regards,
Leo

[1] As I only vaguely remember it, I can not find a source for this. 
However, the process that I've laid out should work fine with or
without guix.d





Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 26 Nov 2019 09:43:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 04:43:47 2019
Received: from localhost ([127.0.0.1]:50219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZXNq-0006j9-VJ
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 04:43:47 -0500
Received: from mail-wm1-f41.google.com ([209.85.128.41]:50579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iZXNp-0006ir-Ox
 for 38309 <at> debbugs.gnu.org; Tue, 26 Nov 2019 04:43:46 -0500
Received: by mail-wm1-f41.google.com with SMTP id l17so2453475wmh.0
 for <38309 <at> debbugs.gnu.org>; Tue, 26 Nov 2019 01:43:45 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=fyweFE8zaKW3uh/oR5EP6Yul+Igpveonhbtm0PHoGxM=;
 b=DwDwdCo0RGQnXRbXh0ywLkz52Xb7JhjoJrV27b7VP50pCsoB/rD3lixtn7kZ2yI+KO
 6QUDD9YRS4odVy8WW8jns5wt1oI2aStGFeeziCwNqjgvkaQbGnXQoQkZQHSo32zBsSxj
 tVdruNSLgPYHfITYS7ycksDXAOhG81cqdaAnxUdkSs13Sylx77xJLbqlcjiMQpwxpPJ/
 9zsTUuvgVM2uNTMIQUM9dA/fdxMw2Log1gVzytNZFjLtx31hVFliBGjJNh0/5IddBeZj
 9y2GngdzSEGiRADiZ7WjanFKoPT8j4LwlAVRmbp06YThFw0aBuea6wiKuQ4QiZRcWeEv
 4yuw==
X-Gm-Message-State: APjAAAUWnbs5FgnN6rh7SvgYrC4U91u4d1S8NzrcuPi3vzloIrv9ckyM
 4kE4Lq86QrVCANBRoZrt5R0=
X-Google-Smtp-Source: APXvYqykgF8p1TGu+KgvkJOlDO4fDZRy/dpbfNcSvLa0ttq9FJ+b7z/40141qO565dWKjPdGNz9CRA==
X-Received: by 2002:a1c:2dd0:: with SMTP id t199mr3259073wmt.58.1574761419791; 
 Tue, 26 Nov 2019 01:43:39 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:9db1:e487:65d2:ec1a])
 by smtp.gmail.com with ESMTPSA id x10sm14079244wrp.58.2019.11.26.01.43.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 26 Nov 2019 01:43:39 -0800 (PST)
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <874kyrvphw.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 10:43:37 +0100
In-Reply-To: <874kyrvphw.fsf@HIDDEN> (Maxim Cournoyer's message of "Tue, 26
 Nov 2019 02:23:55 +0900")
Message-ID: <87zhgjt1km.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38309
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hello Ludovic,
>
> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Hi Maxim,
>>
>> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>>
>>> There would be a couple more commits to include in the revert to undo
>>> the changes (one to the build system, others to adapt the renaming of
>>> the emacs-set-load-path phase for some packages:
>>
>> Oh indeed.
>>
>> I must say I haven=E2=80=99t looked closely at the changes nor at the re=
asons
>> for the regression, but IIUC, the regression is serious enough that we
>> should have a way to address it quickly.
>
> The regression only seems to affect the "restarting the session",
> e.g. logout then login, not the first boot, which means there's an
> (inconvenient) workaround available for single user systems.

Also, this assumes the users know about the bug.  But some (most?) of
them won't know about it and will spend a lot of time (as I did) trying
to understand why their gnome-session crashes.

> I've been trying to reproduce in a VM to get a backtrace (if those
> affected by the problem could produce one, that'd help pinpoint the
> problematic call to PCRE and its origin), but that'll need some more
> time.
>
> If those affected judge the situation dire enough, I don't mind
> reverting the changes to the Emacs library loading mechanism for the
> time being.
>
> Thanks,
>
> Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 26 Nov 2019 09:30:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 04:30:29 2019
Received: from localhost ([127.0.0.1]:50195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZXAz-0006Or-II
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 04:30:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iZXAx-0006Oe-OG
 for 38309 <at> debbugs.gnu.org; Tue, 26 Nov 2019 04:30:28 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53431)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iZXAq-0000jo-HE; Tue, 26 Nov 2019 04:30:21 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=35660 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iZXAj-0005tX-U0; Tue, 26 Nov 2019 04:30:19 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <874kyrvphw.fsf@HIDDEN> <87k17n0z9t.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 26 Nov 2019 10:30:11 +0100
In-Reply-To: <87k17n0z9t.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Tue, 26 Nov 2019 10:20:46 +0100")
Message-ID: <87eexvc7do.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

clement@HIDDEN (Cl=C3=A9ment Lassieur) skribis:

> Before the patches, restarting Emacs was enough to have new packages
> installed.  Now I have to reboot my computer every time I 'guix package
> -i emacs-something'.  Emacs is central to my workflow and I often change
> things around (as do a lot of Guix users).  It is inconvenient, really.

I wasn=E2=80=99t aware of that, it sounds like a drawback.  I wonder if
Emacs-Guix knows how to deal with that (until now it was able to
directly load Emacs packages you=E2=80=99d install with itself).

I think I would lean towards a revert (that is, a single commit
reverting the 3 (?) patches that implement this new approach).

Then we can discuss the change with less pressure and make sure
stakeholders weigh in (they could have done that before but apparently
many, myself included, missed that opportunity :-)).

Thoughts?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 26 Nov 2019 09:20:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 04:20:56 2019
Received: from localhost ([127.0.0.1]:50190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZX1k-00069W-IA
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 04:20:56 -0500
Received: from mail-wr1-f67.google.com ([209.85.221.67]:44762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iZX1i-00069J-Nk
 for 38309 <at> debbugs.gnu.org; Tue, 26 Nov 2019 04:20:55 -0500
Received: by mail-wr1-f67.google.com with SMTP id i12so21462402wrn.11
 for <38309 <at> debbugs.gnu.org>; Tue, 26 Nov 2019 01:20:54 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=nL3Q8wij9O34l+04sJYoESaUMm4AcSumh9xZjg8wlZs=;
 b=n+pjfdUw2uL5I2Uos93Tnz4sLwKwfRIz7XzUZv8nc33b9KuwCUMhrKQcKGhUGbHt1t
 P4F2hDb3ATCjiI2EUfskaGjzn1467/96yL1S5XjDdGxGyxvkv29r4d8U6BjoOYfgdufo
 H+8vaszZ1DrehcrId24VT6u5ocVBy3jnvziskuJ3G+Hy75iwZmtN4hhzzU7ekFqhIJpT
 2ixHyRUeltGxQBg/W6ZjHoSP0tXpe1KC6sHQuQzO6+naChXHiMqjNLRtJ7rDI0lFyrx8
 K8VdJpJ81ADZcXYVjvIH78UUvNerpokAEvuj5ezLcrCeX5JDGZrPo7uV+UXgepZ7ib2P
 pCGg==
X-Gm-Message-State: APjAAAVeRETaCMPXBxmG9oZMzAWgr07PxAT++iqCIKKhfsWx4lVDsrEa
 XLdawWotnyyTKzn8QINiQH4=
X-Google-Smtp-Source: APXvYqxa9mOCQcSOftprautwCXEfusyxWSuiU3X7O/haAK+V7XlVT3TlA0hM3VK0yMZ+fExr5Qu0Aw==
X-Received: by 2002:a5d:4ec2:: with SMTP id s2mr15018652wrv.291.1574760048870; 
 Tue, 26 Nov 2019 01:20:48 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:9db1:e487:65d2:ec1a])
 by smtp.gmail.com with ESMTPSA id r2sm2429749wma.44.2019.11.26.01.20.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 26 Nov 2019 01:20:48 -0800 (PST)
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <874kyrvphw.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 10:20:46 +0100
In-Reply-To: <874kyrvphw.fsf@HIDDEN> (Maxim Cournoyer's message of "Tue, 26
 Nov 2019 02:23:55 +0900")
Message-ID: <87k17n0z9t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38309
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hello Maxim,

Thanks for taking the time to look into this.  I've seen your other
email, you can install libpcre3-dbg to have PCRE's debug symbols.  It
might help.

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hello Ludovic,
>
> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Hi Maxim,
>>
>> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>>
>>> There would be a couple more commits to include in the revert to undo
>>> the changes (one to the build system, others to adapt the renaming of
>>> the emacs-set-load-path phase for some packages:
>>
>> Oh indeed.

Well, maybe it would make sense to squash them into one revert commit,
that would be re-reverted when the bug is fixed?

>> I must say I haven=E2=80=99t looked closely at the changes nor at the re=
asons
>> for the regression, but IIUC, the regression is serious enough that we
>> should have a way to address it quickly.
>
> The regression only seems to affect the "restarting the session",
> e.g. logout then login, not the first boot, which means there's an
> (inconvenient) workaround available for single user systems.

Before the patches, restarting Emacs was enough to have new packages
installed.  Now I have to reboot my computer every time I 'guix package
-i emacs-something'.  Emacs is central to my workflow and I often change
things around (as do a lot of Guix users).  It is inconvenient, really.

> I've been trying to reproduce in a VM to get a backtrace (if those
> affected by the problem could produce one, that'd help pinpoint the
> problematic call to PCRE and its origin), but that'll need some more
> time.

Even if you find a solution, the fix will take a lot of time to land
onto an Ubuntu release.

> If those affected judge the situation dire enough, I don't mind
> reverting the changes to the Emacs library loading mechanism for the
> time being.

Please, do so :)

Lots of users don't have that bug, but there's still a change in their
workflow: they have to restart their session after installing new Emacs
packages.  Maybe when that bug is fixed and this set of patch is
re-applied, there will be an opportunity to communicate about this?  On
info-guix maybe, or on 'guix pull'.  It would explain the pros and cons
of this new way of dealing with Emacs.  I don't know if there was such
an announcement already, I didn't see it.  WDYT?

Thanks again,
Cl=C3=A9ment




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 26 Nov 2019 08:56:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 26 03:56:32 2019
Received: from localhost ([127.0.0.1]:50184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZWe8-0005a1-EF
	for submit <at> debbugs.gnu.org; Tue, 26 Nov 2019 03:56:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iZWe6-0005Zl-JT
 for 38309 <at> debbugs.gnu.org; Tue, 26 Nov 2019 03:56:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53014)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iZWe1-0000un-Cb; Tue, 26 Nov 2019 03:56:25 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=35474 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iZWe0-0006TS-R2; Tue, 26 Nov 2019 03:56:25 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
 <87zhgjthan.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 26 Nov 2019 09:56:22 +0100
In-Reply-To: <87zhgjthan.fsf@HIDDEN> (Maxim Cournoyer's message of "Tue, 26
 Nov 2019 13:04:00 +0900")
Message-ID: <87y2w3c8y1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> I could reproduce the gnome-session crash by generating a Guix VM with
> the attached OS configuration (it has about 100 Emacs packages installed
> to its system profile, which gives an EMACSLOADPATH length of about
> 13000 characters), and got the following backtrace (no debugging
> symbols):
>
> #0  0x00007ffff7837e27 in match () from /gnu/store/5j6w0x3aq0i5r9565w92lr=
h016vlmv2d-pcre-8.43/lib/libpcre.so.1
> #1  0x00007ffff78467de in match () from /gnu/store/5j6w0x3aq0i5r9565w92lr=
h016vlmv2d-pcre-8.43/lib/libpcre.so.1
> #2  0x00007ffff783ac48 in match () from /gnu/store/5j6w0x3aq0i5r9565w92lr=
h016vlmv2d-pcre-8.43/lib/libpcre.so.1
> [...]
> #17435 0x00007ffff78467de in match () from /gnu/store/5j6w0x3aq0i5r9565w9=
2lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
> #17436 0x00007ffff783ac48 in match () from /gnu/store/5j6w0x3aq0i5r9565w9=
2lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
> #17437 0x00007ffff78399c6 in match () from /gnu/store/5j6w0x3aq0i5r9565w9=
2lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
> #17438 0x00007ffff784a441 in pcre_exec () from /gnu/store/5j6w0x3aq0i5r95=
65w92lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
> #17439 0x00007ffff7ceca8b in g_match_info_next () from /gnu/store/b8pr2k0=
i2zd07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
> #17440 0x00007ffff7cee21f in g_regex_match_full () from /gnu/store/b8pr2k=
0i2zd07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
> #17441 0x00007ffff7cee36a in g_regex_match () from /gnu/store/b8pr2k0i2zd=
07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
> #17442 0x000000000042b779 in gsm_util_export_activation_environment ()
> #17443 0x000000000040adde in main ()
>
> This tells us that the problem originates from glib.  Looking at the
> number of match calls, libpcre is probably blowing up its stack as
> described in this ticket [0].  According to this link, it seems glib
> should be making use of PCRE's facilities to limit the depth of search,
> e.g. by using "match limit" and "recursion limit" as documented here [1]
> (search for "int pcre_exec(" on that page).
>
> Parallel to this, perhaps the regexp used by glib could be rewritten to
> not rely as much on the stack.

Oh great, thanks for investigating!

I have a shallow understanding of the issues, but (1) are we not going
overboard with that big a environment variable? :-), and (2) fixing GLib
or PCRE would require a full rebuild, can you think of a way to work
around the issue?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 26 Nov 2019 04:04:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 23:04:11 2019
Received: from localhost ([127.0.0.1]:50087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZS5D-0000yW-0I
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 23:04:11 -0500
Received: from mail-qv1-f46.google.com ([209.85.219.46]:40524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iZS5A-0000yG-Oa
 for 38309 <at> debbugs.gnu.org; Mon, 25 Nov 2019 23:04:09 -0500
Received: by mail-qv1-f46.google.com with SMTP id i3so6730000qvv.7
 for <38309 <at> debbugs.gnu.org>; Mon, 25 Nov 2019 20:04:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=kAZvEghwzS4wi6fjeC554STh3EKp5N2ZFENKXUNpNzU=;
 b=cuEFrhdaonQLUiazJvc3KICdX9zn0zqGXacZnDZ7VjOCX68vRJIEtHskrjphWTQwck
 mS1dSOtWjBx4f3uZpZcstacU+1UrBdP67qs/kvBq21jAFez9zseaNoOTkMDQCh3WrgoG
 1G0yK2oiHRoCmV45UaiqHvCD7E4KcXXOhFascXzZDcW7/wL4o6V7/OzrXcm45X9Xs9Jq
 6rAAhGdxijsqFTJDe55pZokEMhltqfOKLAnBM3lBwMXnS9oL8QjItAtQJ9mg1c2Sif5c
 g3hXehNCrcNoK1naVsncnGceTeuDqzhb+voquY7UN0YfKrYmBKwG2jULNH0ihhprHddx
 jIBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=kAZvEghwzS4wi6fjeC554STh3EKp5N2ZFENKXUNpNzU=;
 b=KIEn0lHfSJGWdLpLsm7SSpYSs96B0dFbWdZbKmjIszHmjvq0NiEvDH9f/JFQr6v0qE
 eoGLZoCsUsRqBNM9amaS9FPaDWpcthGPQhgeSCCQqWb1EW7mWBAVMBzyiaL18dZw200H
 8t7eAe+68r5PSWE4QbAHOL/yjbIhAbai4n2i0r/36jJotK5QKkx6ntM3D6eB/C3hk48M
 doan0eurkVoOXXm1UHawBmhMgVKc5cJlPSdXIwMxs6UXBo23qiei5qSjLcPpHkGvLmcI
 lgrXUSRso4sEsoAT12sDAK4YKF1fxBty+nFyXbgOCL1RWeTpKLrjhvZXRXnXz/1uP1Mt
 21nw==
X-Gm-Message-State: APjAAAXBvOCTMeKOuR/Ngy0XslmDEyDihjgdzpFahrQ7D01zz3xCDQI5
 GLz1CGZNklW18sqbr2EEyl9xF9vK
X-Google-Smtp-Source: APXvYqzFQbGtv7nYvn/CR2MUwfCnX7zwyaT32+VJlDP6e5q0lESPz/G/1Af8R2fhKY/kuY2ncDSVow==
X-Received: by 2002:ad4:4dce:: with SMTP id
 cw14mr31495232qvb.185.1574741043000; 
 Mon, 25 Nov 2019 20:04:03 -0800 (PST)
Received: from x200 ([206.55.91.146])
 by smtp.gmail.com with ESMTPSA id 97sm5165217qtb.11.2019.11.25.20.04.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 25 Nov 2019 20:04:02 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 13:04:00 +0900
In-Reply-To: <875zj9yx8f.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sun, 24 Nov 2019 18:56:16 +0100")
Message-ID: <87zhgjthan.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello again,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Maxim,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> There would be a couple more commits to include in the revert to undo
>> the changes (one to the build system, others to adapt the renaming of
>> the emacs-set-load-path phase for some packages:
>
> Oh indeed.
>
> I must say I haven=E2=80=99t looked closely at the changes nor at the rea=
sons
> for the regression, but IIUC, the regression is serious enough that we
> should have a way to address it quickly.

I could reproduce the gnome-session crash by generating a Guix VM with
the attached OS configuration (it has about 100 Emacs packages installed
to its system profile, which gives an EMACSLOADPATH length of about
13000 characters), and got the following backtrace (no debugging
symbols):

--8<---------------cut here---------------start------------->8---
#0  0x00007ffff7837e27 in match () from /gnu/store/5j6w0x3aq0i5r9565w92lrh0=
16vlmv2d-pcre-8.43/lib/libpcre.so.1
#1  0x00007ffff78467de in match () from /gnu/store/5j6w0x3aq0i5r9565w92lrh0=
16vlmv2d-pcre-8.43/lib/libpcre.so.1
#2  0x00007ffff783ac48 in match () from /gnu/store/5j6w0x3aq0i5r9565w92lrh0=
16vlmv2d-pcre-8.43/lib/libpcre.so.1
[...]
#17435 0x00007ffff78467de in match () from /gnu/store/5j6w0x3aq0i5r9565w92l=
rh016vlmv2d-pcre-8.43/lib/libpcre.so.1
#17436 0x00007ffff783ac48 in match () from /gnu/store/5j6w0x3aq0i5r9565w92l=
rh016vlmv2d-pcre-8.43/lib/libpcre.so.1
#17437 0x00007ffff78399c6 in match () from /gnu/store/5j6w0x3aq0i5r9565w92l=
rh016vlmv2d-pcre-8.43/lib/libpcre.so.1
#17438 0x00007ffff784a441 in pcre_exec () from /gnu/store/5j6w0x3aq0i5r9565=
w92lrh016vlmv2d-pcre-8.43/lib/libpcre.so.1
#17439 0x00007ffff7ceca8b in g_match_info_next () from /gnu/store/b8pr2k0i2=
zd07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
#17440 0x00007ffff7cee21f in g_regex_match_full () from /gnu/store/b8pr2k0i=
2zd07zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
#17441 0x00007ffff7cee36a in g_regex_match () from /gnu/store/b8pr2k0i2zd07=
zmb7kpffmcimqi337if-glib-2.60.6/lib/libglib-2.0.so.0
#17442 0x000000000042b779 in gsm_util_export_activation_environment ()
#17443 0x000000000040adde in main ()
--8<---------------cut here---------------end--------------->8---

This tells us that the problem originates from glib.  Looking at the
number of match calls, libpcre is probably blowing up its stack as
described in this ticket [0].  According to this link, it seems glib
should be making use of PCRE's facilities to limit the depth of search,
e.g. by using "match limit" and "recursion limit" as documented here [1]
(search for "int pcre_exec(" on that page).

Parallel to this, perhaps the regexp used by glib could be rewritten to
not rely as much on the stack.

[0]  https://bugs.exim.org/show_bug.cgi?id=3D2126
[1]  https://pcre.org/original/doc/html/pcreapi.html




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 25 Nov 2019 17:24:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 12:24:05 2019
Received: from localhost ([127.0.0.1]:49640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZI5l-0004VS-47
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 12:24:05 -0500
Received: from mail-qt1-f193.google.com ([209.85.160.193]:45486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iZI5j-0004Uy-6x
 for 38309 <at> debbugs.gnu.org; Mon, 25 Nov 2019 12:24:03 -0500
Received: by mail-qt1-f193.google.com with SMTP id 30so18021223qtz.12
 for <38309 <at> debbugs.gnu.org>; Mon, 25 Nov 2019 09:24:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Y/6eZc1fbkVgCBQWiVQiAI9sOvt2nK65dWa742KXe9I=;
 b=Jcfdjnt7ojEti99TzQ6943/BBrn/tLMp6OiGKY3CiHditRFztxL0ZXuXoxkBDNsNZX
 t/KxCQc4n1wg5/J7XXvVoGaWkV315Mwf+zStDd3mGgikAtcgQQI/x5T1qqUcEteOXFJ6
 nf1fjjOB9Ovxd+2uWmw6Q6MPEu2Oy70eSLNSnWSA9H5+aQdX1olZyItGw6E54MOEP4Q1
 LfPpe/3sVeWqjnyRIwVA31niyZjTuwTvw9j4pPV/yztMRPwVi/op9vIhNrvGWbnSfv0L
 H/hLfWdx7kjpxyzHxY0WADY3Dg6XxF8WgXEPtRefCl17WT/9TwO8dbuHFXHWbDrNthtA
 xuZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Y/6eZc1fbkVgCBQWiVQiAI9sOvt2nK65dWa742KXe9I=;
 b=hroIrbznw48rgLqonBuUAZiZgIXQpmW9DAaRnxrb0pVGPfWj4bDEr6k2dGcBEI4LKk
 nBJ91mwcpktvruCkcIsDWfTQP70oN5aOu5TQrH3NpGkJ3hq6B3ho+/4HhFwo8i2haTcm
 lU7Tg/aRcvTFtqXuDmOdh5XZinsHe7/v+YQKkR/hS8/Wgg7fxVXKIPYwGOLfV6mSILZf
 JM1clihIyYfVAYyTx37WL6ksv/BtAZfqmdIXVx4UJw7TLEjbCFtLGbfmRGgFQCu45IFR
 ryLrX0ML6K9NOO3Rj3T12ra18mLMxnG7jm2Fa+HpkhKOz/vXRjPsXSaW2lbzylmm7bkv
 JlYw==
X-Gm-Message-State: APjAAAVYuMNS5ucC0eI0tVIdDMcAA9bJmmawX581Te437BXUdkyaWgCx
 336CM6oem/UlIQHuFWGIXoXpjKBC
X-Google-Smtp-Source: APXvYqzeRlV0+/RgqzZ06yEql/c9CjivFVtH19YjTipMbfTo6rGvz/BM+zjGvHzMQgA3bJz3HTsviA==
X-Received: by 2002:ac8:4451:: with SMTP id m17mr19948753qtn.176.1574702637415; 
 Mon, 25 Nov 2019 09:23:57 -0800 (PST)
Received: from x200 ([206.55.91.146])
 by smtp.gmail.com with ESMTPSA id a2sm3640658qkl.71.2019.11.25.09.23.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 25 Nov 2019 09:23:56 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN> <875zj9yx8f.fsf@HIDDEN>
Date: Tue, 26 Nov 2019 02:23:55 +0900
In-Reply-To: <875zj9yx8f.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sun, 24 Nov 2019 18:56:16 +0100")
Message-ID: <874kyrvphw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Maxim,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> There would be a couple more commits to include in the revert to undo
>> the changes (one to the build system, others to adapt the renaming of
>> the emacs-set-load-path phase for some packages:
>
> Oh indeed.
>
> I must say I haven=E2=80=99t looked closely at the changes nor at the rea=
sons
> for the regression, but IIUC, the regression is serious enough that we
> should have a way to address it quickly.

The regression only seems to affect the "restarting the session",
e.g. logout then login, not the first boot, which means there's an
(inconvenient) workaround available for single user systems.

I've been trying to reproduce in a VM to get a backtrace (if those
affected by the problem could produce one, that'd help pinpoint the
problematic call to PCRE and its origin), but that'll need some more
time.

If those affected judge the situation dire enough, I don't mind
reverting the changes to the Emacs library loading mechanism for the
time being.

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 25 Nov 2019 15:29:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 25 10:29:20 2019
Received: from localhost ([127.0.0.1]:49553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iZGIi-0001RQ-79
	for submit <at> debbugs.gnu.org; Mon, 25 Nov 2019 10:29:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iZGIa-0001QJ-TD
 for 38309 <at> debbugs.gnu.org; Mon, 25 Nov 2019 10:29:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50745)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iYw7O-0006vA-5b; Sun, 24 Nov 2019 12:56:18 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37758 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iYw7N-00038v-Lt; Sun, 24 Nov 2019 12:56:18 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
 <87d0diuec0.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 24 Nov 2019 18:56:16 +0100
In-Reply-To: <87d0diuec0.fsf@HIDDEN> (Maxim Cournoyer's message of "Sun, 24
 Nov 2019 12:45:51 +0900")
Message-ID: <875zj9yx8f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> There would be a couple more commits to include in the revert to undo
> the changes (one to the build system, others to adapt the renaming of
> the emacs-set-load-path phase for some packages:

Oh indeed.

I must say I haven=E2=80=99t looked closely at the changes nor at the reaso=
ns
for the regression, but IIUC, the regression is serious enough that we
should have a way to address it quickly.

WDYT?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 24 Nov 2019 03:46:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 22:46:56 2019
Received: from localhost ([127.0.0.1]:58048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYirI-0007pV-Gn
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 22:46:53 -0500
Received: from mail-qv1-f68.google.com ([209.85.219.68]:45868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iYiqW-0007nw-1e
 for 38309 <at> debbugs.gnu.org; Sat, 23 Nov 2019 22:46:23 -0500
Received: by mail-qv1-f68.google.com with SMTP id d12so2472299qvv.12
 for <38309 <at> debbugs.gnu.org>; Sat, 23 Nov 2019 19:45:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=HT9WuZAhPv98Vo4fnRiF0FOqrUaf4s8XCrnUicXzzWw=;
 b=NKde9pUe1gjIQbhrgHjf4qcgeqqQQMy5LUHVM6M5/B5UDagj/NRtwvnx99iJ3Ifffo
 MwReH89kywJHjkOVQfwBqNuvz1H6YZnvwJH/cu1oCHXR9R/4mLJu2ITg1LjUJes6c/+4
 OUcE/p/ayG8USdSjA7tsJiBKQCLRDnQxRrgjTnNcrnxaEhmw9JtMx2hTe+2FZzyF954N
 XK2UctagS8xpbwa/xVtRdX/HjkwO6jZjSsXVnbrDRzrjCBYeMtCMgbA2RwPNtMKr7esh
 ehowtDeb1UuYZ8pR8hiTlXKK7MFVL9HjeubBRFIX36DJtZk5+37J1dVHu1UcCkjgRYZp
 htqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=HT9WuZAhPv98Vo4fnRiF0FOqrUaf4s8XCrnUicXzzWw=;
 b=DfIBCaWk8aHP6LkQecoozIBpss2KpqqOIc+szpHIfQ12jcpjal7uv8NTQk/A84ilL3
 FAWBsNGauTRXIC1j37THu/bBIwedrXJegaeO8nui8mk+6I+GQH9XRo4EeMI3t1qvffRQ
 Kh39ZK4pqA8qGG3SwyEtLDDhY4YfdrzSGn6axoSHeuTpWc2zkSdBoD/8dUd1ED6LWvoA
 C3/W8awMiGmXoYpOknoVgthtUax9CUrxsKYrfWBlq72PlsKxWIawoJEY+0ED8mzAJ5uJ
 EGlP9KMsUNbkRW8lLBR9QaP0CGswLe0IfdXUSuAJzG4X3YyBVmxD+D6escpBOwoiJtYG
 5GFw==
X-Gm-Message-State: APjAAAUnMWlHlJufv2i4HPLo5TDXfnyZb0MZjjK6cjkBLxzvNmZ2rbh8
 W0FXbT+YeKOj45EKNr6u4zIhA9r/
X-Google-Smtp-Source: APXvYqwohw3AIqUqGnqLWZFcHsEZyTM8DJHmQfLeeByOuYDY17o3sShjs5HGy9CWO4L/GxiF2rA5Ng==
X-Received: by 2002:a05:6214:1051:: with SMTP id
 l17mr10128333qvr.60.1574567154093; 
 Sat, 23 Nov 2019 19:45:54 -0800 (PST)
Received: from x200 ([207.35.95.252])
 by smtp.gmail.com with ESMTPSA id o70sm1309379qke.47.2019.11.23.19.45.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 23 Nov 2019 19:45:53 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN> <87eexy1nah.fsf@HIDDEN>
Date: Sun, 24 Nov 2019 12:45:51 +0900
In-Reply-To: <87eexy1nah.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 23 Nov 2019 19:05:10 +0100")
Message-ID: <87d0diuec0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Maxim,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> Really sorry about this ugly regression :-/.
>
> Should we revert 47b3b4c2aa49e21f4cc32c97ff7bbbd069bb849c so we can
> address this without pressure in the meantime?
>
> I think I missed the discussions around this patch, but we should get
> Alex Kost into the loop (Alex did the initial work in that area, if I=E2=
=80=99m
> not mistaken.)
>
> Thanks,
> Ludo=E2=80=99.

There would be a couple more commits to include in the revert to undo
the changes (one to the build system, others to adapt the renaming of
the emacs-set-load-path phase for some packages:

--8<---------------cut here---------------start------------->8---
63edbb65e4 * origin/master gnu: emacs-protobuf-mode: Rename the set-emacs-l=
oad-path phase.
ffb2316548 * gnu: emacs-erlang: Rename the set-emacs-load-path phase.
ed94123667 * gnu: emacs-pdf-tools: Adapt phase name.
418febb54f * gnu: emacs-scel: Fix build.
1bb39982f1 * gnu: emacs-realgud: Fix build.
c51d4c7746 * gnu: emacs-pdf-tools: Fix build.
b44357d02a * gnu: emacs-forge: Fix build.
47b3b4c2aa * gnu: emacs: Adapt the autoloads auxiliary code to use EMACSLOA=
DPATH.
e1d31e6457 * build-system: emacs: Simplify the SET-EMACS-LOAD-PATH phase.
215a45d9b8 * gnu: emacs: Locate Elisp libraries via EMACSLOADPATH.
--8<---------------cut here---------------end--------------->8---

The bug in questino seems to have to do with a regression in recent
versions PCRE, that trigger a crash on large environment variables as
reported in [0].  There's a new version of PCRE2 (10.34) available; but
I'm unsure if it addresses this particular problem:
https://pcre.org/changelog.txt.  If it doesn't we should report the
problem to them.

This could happen with any other environment variable than
EMACSLOADPATH; it's just a matter of having an environment variable grow
sufficiently long to trigger it.

I'm testing a patch that may workaround this problem successfully right
now (that would reduce the length of EMACSLOADPATH) I'll send an
incomplete patch shortly for discussing the idea or testing.  In case
it's not clear; I'd rather workaround the issue or have it fixed at its
source, ideally.

WDYT?

Maxim

[0]  https://bugzilla.redhat.com/show_bug.cgi?id=3D1430103




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 23 Nov 2019 18:05:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 13:05:37 2019
Received: from localhost ([127.0.0.1]:57732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYZml-0008OY-Ds
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 13:05:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iYZmb-0008OC-N8
 for 38309 <at> debbugs.gnu.org; Sat, 23 Nov 2019 13:05:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35103)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iYZmU-0007GH-OV; Sat, 23 Nov 2019 13:05:16 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33680 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iYZmR-0001YI-KZ; Sat, 23 Nov 2019 13:05:12 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
 <87k17rvmfw.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 3 Frimaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 23 Nov 2019 19:05:10 +0100
In-Reply-To: <87k17rvmfw.fsf@HIDDEN> (Maxim Cournoyer's message of "Sat, 23
 Nov 2019 02:40:51 +0900")
Message-ID: <87eexy1nah.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38309
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 38309 <at> debbugs.gnu.org, a@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> Really sorry about this ugly regression :-/.

Should we revert 47b3b4c2aa49e21f4cc32c97ff7bbbd069bb849c so we can
address this without pressure in the meantime?

I think I missed the discussions around this patch, but we should get
Alex Kost into the loop (Alex did the initial work in that area, if I=E2=80=
=99m
not mistaken.)

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 22 Nov 2019 17:41:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 12:41:13 2019
Received: from localhost ([127.0.0.1]:55454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYCvf-0007O0-8o
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 12:41:13 -0500
Received: from mail-qk1-f194.google.com ([209.85.222.194]:43317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iYCvY-0007NK-KW
 for 38309 <at> debbugs.gnu.org; Fri, 22 Nov 2019 12:41:05 -0500
Received: by mail-qk1-f194.google.com with SMTP id p14so6965703qkm.10
 for <38309 <at> debbugs.gnu.org>; Fri, 22 Nov 2019 09:41:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=w+IsNFeRDGStdcJ/ORfU55RPD1FF82SyCfTJNMctR/Y=;
 b=lmWRJGmjYLpnI3AVZFUB9eAEtkE2nukHb6JOyIBM2TBWUaysHAd2ue6QCZvT7WjnuT
 RGFRvIRqJyXdbdAVF1VHp7R3arexJsNKfs66MCIRycABuyi3eHh60OFGiXlAKysys+Hx
 sGJEgfLI89xy2kUz0WO5oNHNom+cETN5gywxNEpq663lbtMyyEiR1WIaB/WXPrWZo4SG
 PfBUCsdhUD8WwGwiENv5wdKVa+gDm6Tw4tKAO+Qihl1nL5Y6S6ZGCMcyEq5w0A+q5VxD
 003EiHcb8XTg//U87A0STtMn4xWg2UeDquR7AKd/NtnpXtG+kwr3u1vJXJVaBfeF+ivr
 hNZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=w+IsNFeRDGStdcJ/ORfU55RPD1FF82SyCfTJNMctR/Y=;
 b=JceMVKCJhjtcmijhqSR/hSxUw1dghGUNjpt7/3YMW96jvs97FZHjVcBXN/RsggW9wI
 imcUkOf+3z/usVBhe89BswvOEbICetGGFfwEDFSDMyT1//L1AMX8vbuFkHFfMKIyFx3W
 9tpfusGFHC1bR5XlWzWYcyO5ZJvUwHEEQqIRQDRuFKrTjaUUnAMZx/KcMod2tkn4UsR1
 uN5xHxkaAsT13w1mJ/N/5vmnwlSj5quMfti2g1z5CJFBxz9+p6odVctldM3GTxhGf8Xr
 hu7stxJy8D9gNMEneIaZr8HKExaSGajqcvbrAdZX918+08r4wHJoyIPLmtd6wgucYuDm
 rdPQ==
X-Gm-Message-State: APjAAAV5MC2u4fXolHLCZaTrn0C2yDiFMBm+lIRUxdC8ffoi1YtMOnS4
 1yXBQyP3+7wYT38o1/XV4j8R5+ay6X8=
X-Google-Smtp-Source: APXvYqzUBYF6nDY1YUFPKJ+jWLhVaMTM+ojuIZCx3TqTcF/9UtRMvxl3o38TP/tMcTHkyumf4bM3WA==
X-Received: by 2002:a05:620a:984:: with SMTP id
 x4mr1286654qkx.373.1574444458647; 
 Fri, 22 Nov 2019 09:40:58 -0800 (PST)
Received: from x200 ([75.98.135.194])
 by smtp.gmail.com with ESMTPSA id h5sm1940904qto.70.2019.11.22.09.40.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 22 Nov 2019 09:40:57 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
Date: Sat, 23 Nov 2019 02:40:51 +0900
In-Reply-To: <8736egaw7g.fsf@HIDDEN> (Mathieu Othacehe's message of "Fri,
 22 Nov 2019 14:15:31 +0100")
Message-ID: <87k17rvmfw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Alex Griffin <a@HIDDEN>, bug-guix@HIDDEN, 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello all,

Really sorry about this ugly regression :-/.

I'm surprised that a 22000 characters in an environment variable would
be an issue though, given that that's probably around 22 KiB of memory
and some people tested huge variables (>18 MiB) without facing any hard
limit other than RAM [0].

Which leads me to suspect that the problem might be Gnome specific?  I
haven't experienced it, but then my EMACSLOADPATH variable is only about
7000 characters and I'm not using Gnome (I use ratpoison as a WM).

If someone could confirm that they can login using another desktop
(XFCE, perhaps?) that'd tell us we need to look more carefully at what
gnome-session does and why it crashes on larger than average environment
variables.

I believe the "enhancement" #1 (to deprecate guix.d subdirectories) in
XFCE?) as explained in bug #38273 [1] could lead to a much leaner
EMACSLOADPATH, by reducing the number of entries necessary to refer to
all the Elisp packages.

[0]  https://aplawrence.com/Unixart/variable_limits.html
[1]  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38273#34

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2019 17:41:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 12:41:20 2019
Received: from localhost ([127.0.0.1]:55457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYCvm-0007OK-5r
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 12:41:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:44793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iYCvi-0007O9-PB
 for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 12:41:16 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33048)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iYCvg-0003PS-IE
 for bug-guix@HIDDEN; Fri, 22 Nov 2019 12:41:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1iYCvW-00069I-Vo
 for bug-guix@HIDDEN; Fri, 22 Nov 2019 12:41:06 -0500
Received: from mail-qk1-x743.google.com ([2607:f8b0:4864:20::743]:32820)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1iYCvT-000692-74
 for bug-guix@HIDDEN; Fri, 22 Nov 2019 12:40:59 -0500
Received: by mail-qk1-x743.google.com with SMTP id c124so2573892qkg.0
 for <bug-guix@HIDDEN>; Fri, 22 Nov 2019 09:40:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=w+IsNFeRDGStdcJ/ORfU55RPD1FF82SyCfTJNMctR/Y=;
 b=lmWRJGmjYLpnI3AVZFUB9eAEtkE2nukHb6JOyIBM2TBWUaysHAd2ue6QCZvT7WjnuT
 RGFRvIRqJyXdbdAVF1VHp7R3arexJsNKfs66MCIRycABuyi3eHh60OFGiXlAKysys+Hx
 sGJEgfLI89xy2kUz0WO5oNHNom+cETN5gywxNEpq663lbtMyyEiR1WIaB/WXPrWZo4SG
 PfBUCsdhUD8WwGwiENv5wdKVa+gDm6Tw4tKAO+Qihl1nL5Y6S6ZGCMcyEq5w0A+q5VxD
 003EiHcb8XTg//U87A0STtMn4xWg2UeDquR7AKd/NtnpXtG+kwr3u1vJXJVaBfeF+ivr
 hNZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=w+IsNFeRDGStdcJ/ORfU55RPD1FF82SyCfTJNMctR/Y=;
 b=L/27vr4vop6P/No+7wjtZMfOSza49jxvi+PUuDI8jDaw1ccd48QJGg6T0DjXBVC4NL
 ZFHCOn9qmJM7OOZD8ZNuJiOun9wCJBX32nATN4E0wdr7isD1YRm/kBRBeOjn0Ru7b6v7
 YD83+YrW5ABFtRhIpnTMC3wLIGIbHhi9l/EZLallWpatykwehXcUJ8OHFc0FL1hnA1Cq
 g4mTo3VbLcyJkcSP4NpCQ6Ht60VoH5nkZ3qYe6lK6h14r7rDUUeYpCQ7l1F41sHXjKR/
 XatQRLpzuvn1SpcszMnGMYzuM4dx5nQEAF7ytc9cZclWd9Zhs7y5Sk4opl7nEB1SfeER
 Lmew==
X-Gm-Message-State: APjAAAVrVUnRNRhykf/vuKhKKa/G/ZFhcL6gqVj2ZeCwOBvvTtKUNVis
 C3GJqWAo4ei5mMWwM/kCeIA=
X-Google-Smtp-Source: APXvYqzUBYF6nDY1YUFPKJ+jWLhVaMTM+ojuIZCx3TqTcF/9UtRMvxl3o38TP/tMcTHkyumf4bM3WA==
X-Received: by 2002:a05:620a:984:: with SMTP id
 x4mr1286654qkx.373.1574444458647; 
 Fri, 22 Nov 2019 09:40:58 -0800 (PST)
Received: from x200 ([75.98.135.194])
 by smtp.gmail.com with ESMTPSA id h5sm1940904qto.70.2019.11.22.09.40.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 22 Nov 2019 09:40:57 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN> <8736egaw7g.fsf@HIDDEN>
Date: Sat, 23 Nov 2019 02:40:51 +0900
In-Reply-To: <8736egaw7g.fsf@HIDDEN> (Mathieu Othacehe's message of "Fri,
 22 Nov 2019 14:15:31 +0100")
Message-ID: <87k17rvmfw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::743
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Alex Griffin <a@HIDDEN>, bug-guix@HIDDEN, 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello all,

Really sorry about this ugly regression :-/.

I'm surprised that a 22000 characters in an environment variable would
be an issue though, given that that's probably around 22 KiB of memory
and some people tested huge variables (>18 MiB) without facing any hard
limit other than RAM [0].

Which leads me to suspect that the problem might be Gnome specific?  I
haven't experienced it, but then my EMACSLOADPATH variable is only about
7000 characters and I'm not using Gnome (I use ratpoison as a WM).

If someone could confirm that they can login using another desktop
(XFCE, perhaps?) that'd tell us we need to look more carefully at what
gnome-session does and why it crashes on larger than average environment
variables.

I believe the "enhancement" #1 (to deprecate guix.d subdirectories) in
XFCE?) as explained in bug #38273 [1] could lead to a much leaner
EMACSLOADPATH, by reducing the number of entries necessary to refer to
all the Elisp packages.

[0]  https://aplawrence.com/Unixart/variable_limits.html
[1]  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38273#34

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 22 Nov 2019 13:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 08:15:56 2019
Received: from localhost ([127.0.0.1]:53940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iY8mx-0003jV-V4
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 08:15:56 -0500
Received: from mail-wr1-f51.google.com ([209.85.221.51]:46243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iY8mq-0003gK-Rn
 for 38309 <at> debbugs.gnu.org; Fri, 22 Nov 2019 08:15:51 -0500
Received: by mail-wr1-f51.google.com with SMTP id z7so5159176wrl.13
 for <38309 <at> debbugs.gnu.org>; Fri, 22 Nov 2019 05:15:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=Mo/lxEO7RV9qdljNPgwMp2oFbqjjE87tEWY9YRsQq/E=;
 b=gqlm6h9cNz3ERqg3x4NRZmfLLf1EAKRFk3cdnmO0TYO1nc37ImqIdDfYLFfeSPAtqO
 m9o+FEihMoRvRmx4OuBRmf+YbRsYjKeGGJHRVZFkxWe5j4Ptciez04WrxsL99PwTb/ZL
 Ka1lr2VrrfUeQ8ZUwz15s3A4YPP2z4Hc18HsgHQcQ/YWTKm9vD/k2JIpckauQYvAIyJ3
 gzK8bDw01yVlwy7vZwqDjltX6sK8RFoJ+ZxneZ5XXxdYR+XGniuhgJyFkbMSziX8P5xX
 kHcpehISz/5oNtDW2xNleolC2l7kpRfXm5UYAwshmRB6WIQyds3vXjDtIBA3R17l10S6
 AYdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=Mo/lxEO7RV9qdljNPgwMp2oFbqjjE87tEWY9YRsQq/E=;
 b=ZSeLtnq/S/nVCKq0x6TYYTlRxZzisWUp8xwA4Qs51CQG1iHdZK4dnxiBwhCrTmpDTw
 Bs2ZfAZppKYxX+bIju2znsoEZpJBmTLlEW3ByV5zTK9Q6EaGYcclTGY09/5EWL0Dlwps
 5u4tZjctk7QxfKaqWNLuC0FQXHaFBkdcl+UWJT79nzmLnTAmNNmfaMzRm4eN6DCrL8in
 xIEIhC7okTsJWUQm1iYXKbU3Aj2vu2SZV1KpGiGz+49PehxuOXMvwHqeD7nemtQVznGw
 M3YkHSOCl/sMOyGAtlhjF/yO1YJJkDwgaeDucxl+BU57Xx6sHEFQW8wM7Ss3fA4fEpJb
 aGNQ==
X-Gm-Message-State: APjAAAUC4DwuyDYPXwFktAUfjN3azwImuZn3oUyYmzeb+/WoHc5biNFU
 nophKoUxYLCaUFJ3yLrgZQLhiWk9
X-Google-Smtp-Source: APXvYqygIvxzfYH+bYRVfObl8Lle0RKEy7REw/dXZHg8bQ1UhNQVnoiGqdnl1Xbwob5lzBmxdbQVcw==
X-Received: by 2002:a5d:6887:: with SMTP id h7mr8929705wru.397.1574428535116; 
 Fri, 22 Nov 2019 05:15:35 -0800 (PST)
Received: from meru (lfbn-ann-1-15-249.w86-220.abo.wanadoo.fr.
 [86.220.110.249])
 by smtp.gmail.com with ESMTPSA id c15sm8211888wrx.78.2019.11.22.05.15.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 22 Nov 2019 05:15:33 -0800 (PST)
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87y2w8vzeq.fsf@HIDDEN>
Date: Fri, 22 Nov 2019 14:15:31 +0100
Message-ID: <8736egaw7g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38309
Cc: Alex Griffin <a@HIDDEN>, 38309 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

> In case it's not clear: Booting works, but restarting the session
> crashes.

Not much to add, but I have the same issue and once logged out, I need to
restart my machine to login again to GNOME on Ubuntu 18.04.

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2019 13:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 08:15:55 2019
Received: from localhost ([127.0.0.1]:53938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iY8mx-0003it-D0
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 08:15:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:57886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1iY8mq-0003gQ-QW
 for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 08:15:49 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52685)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <m.othacehe@HIDDEN>) id 1iY8mf-0006LV-Qt
 for bug-guix@HIDDEN; Fri, 22 Nov 2019 08:15:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1iY8me-0002Ej-U5
 for bug-guix@HIDDEN; Fri, 22 Nov 2019 08:15:37 -0500
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:34409)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1iY8me-0002EN-O7
 for bug-guix@HIDDEN; Fri, 22 Nov 2019 08:15:36 -0500
Received: by mail-wr1-x432.google.com with SMTP id t2so8622224wrr.1
 for <bug-guix@HIDDEN>; Fri, 22 Nov 2019 05:15:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=Mo/lxEO7RV9qdljNPgwMp2oFbqjjE87tEWY9YRsQq/E=;
 b=gqlm6h9cNz3ERqg3x4NRZmfLLf1EAKRFk3cdnmO0TYO1nc37ImqIdDfYLFfeSPAtqO
 m9o+FEihMoRvRmx4OuBRmf+YbRsYjKeGGJHRVZFkxWe5j4Ptciez04WrxsL99PwTb/ZL
 Ka1lr2VrrfUeQ8ZUwz15s3A4YPP2z4Hc18HsgHQcQ/YWTKm9vD/k2JIpckauQYvAIyJ3
 gzK8bDw01yVlwy7vZwqDjltX6sK8RFoJ+ZxneZ5XXxdYR+XGniuhgJyFkbMSziX8P5xX
 kHcpehISz/5oNtDW2xNleolC2l7kpRfXm5UYAwshmRB6WIQyds3vXjDtIBA3R17l10S6
 AYdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=Mo/lxEO7RV9qdljNPgwMp2oFbqjjE87tEWY9YRsQq/E=;
 b=Lcg1/eWToUUP+Pgl9tZQQVhk8IuZZpyspD03jWtCGNRc420FIREzmkM6xjbZPDWVvW
 +fs3MZZXz2uan/4CqA2JdRwIDY9kSSVSo1o4e+/QfxNbodYG57g0v4JEXNso3GLD0Tcz
 3+S+pk7+Myy8pkmGo9IeCHsrqrYRtw0mQdpBXon8CS7kyYbqyRz6uk5Daec2mE4iRpsB
 SGzi/pRcuEbYHFK/EEI5EXR4s34sgkXKAX0I7jMEGaxICRuHZq48STIBfOfW15FfMAPZ
 uzatgiJwdEB56FbtDnJ/Hehbpu9hUiSFV1hYUg74lc1SwMlHw69qCfdw/8XZXNDWTIQ+
 z6Ug==
X-Gm-Message-State: APjAAAUbyef2QFk5PAxZhGErFyYIJlFa3e8I+jYQVbPDW2ei7Ztj6EMS
 ThssCVKVMyJBlbVsK3WR8vUtQ4/W
X-Google-Smtp-Source: APXvYqygIvxzfYH+bYRVfObl8Lle0RKEy7REw/dXZHg8bQ1UhNQVnoiGqdnl1Xbwob5lzBmxdbQVcw==
X-Received: by 2002:a5d:6887:: with SMTP id h7mr8929705wru.397.1574428535116; 
 Fri, 22 Nov 2019 05:15:35 -0800 (PST)
Received: from meru (lfbn-ann-1-15-249.w86-220.abo.wanadoo.fr.
 [86.220.110.249])
 by smtp.gmail.com with ESMTPSA id c15sm8211888wrx.78.2019.11.22.05.15.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 22 Nov 2019 05:15:33 -0800 (PST)
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
 <87y2w8vzeq.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
In-reply-to: <87y2w8vzeq.fsf@HIDDEN>
Date: Fri, 22 Nov 2019 14:15:31 +0100
Message-ID: <8736egaw7g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::432
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Alex Griffin <a@HIDDEN>, 38309 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hello,

> In case it's not clear: Booting works, but restarting the session
> crashes.

Not much to add, but I have the same issue and once logged out, I need to
restart my machine to login again to GNOME on Ubuntu 18.04.

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.
Severity set to 'serious' from 'normal' Request was from clement@HIDDEN (Clément Lassieur) to control <at> debbugs.gnu.org. Full text available.

Message received at 38309 <at> debbugs.gnu.org:


Received: (at 38309) by debbugs.gnu.org; 22 Nov 2019 13:01:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 22 08:01:05 2019
Received: from localhost ([127.0.0.1]:53912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iY8Yb-00030V-Pa
	for submit <at> debbugs.gnu.org; Fri, 22 Nov 2019 08:01:05 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:51202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.lassieur@HIDDEN>) id 1iY8YX-0002zs-Ct
 for 38309 <at> debbugs.gnu.org; Fri, 22 Nov 2019 08:01:01 -0500
Received: by mail-wm1-f44.google.com with SMTP id g206so7098003wme.1
 for <38309 <at> debbugs.gnu.org>; Fri, 22 Nov 2019 05:01:01 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yza13fWfKGAqpxox4rPBIfnqHMhYrdHgKadjZgECWgo=;
 b=h1m4+vIR3K7uE8EACHV0B9Z+6uO7SZbVcJo275bRTrI2Y6CzOEQSG4VDL1lkBOywWG
 I8nfp/GFdcpyUtYqkMSoSH4pGuoyPHjXd7tRlZpOnUC13aT+2f4g7M59eZ7LE2gZeBnv
 D4Y1TvOVj6YBx+li/OrDPyJXIZkCHIMDzvoaBBJIRG+dgadJ140HxmeQHgjdUhVfAVdW
 TEzwoET/3ibmYdOG4NUbLGZ6S+wIW2bdxET866m27NdR5wIv1CtfZeajAmzLfVCvn/ow
 YNqUE6oDut5VzHDD4sQevcjb4zf8EITy2f4RqjvOM8BK2oOTa+suV65PEg+5SG7ZlxCq
 39jw==
X-Gm-Message-State: APjAAAURiJozg8W19MLYVd5P95Ei75v/o7twA7Ra99QqwiuruLs3s3Q0
 nUAPAzgmKxh4b0O1r40+FebbJtxbo/M=
X-Google-Smtp-Source: APXvYqwacB26wFfNH3rlRN8QAyEKCqZiEO185SLrMZdRdjfY95vaqRrMT5f9LKnjvwSK4H/bbfSIxw==
X-Received: by 2002:a7b:c768:: with SMTP id x8mr16893425wmk.26.1574427655099; 
 Fri, 22 Nov 2019 05:00:55 -0800 (PST)
Received: from rodion ([2a01:e35:8bf7:6530:1575:61c2:621f:c7ec])
 by smtp.gmail.com with ESMTPSA id b14sm3392391wmj.18.2019.11.22.05.00.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 22 Nov 2019 05:00:53 -0800 (PST)
From: clement@HIDDEN (=?utf-8?Q?Cl=C3=A9ment?= Lassieur)
To: Alex Griffin <a@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
References: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
Date: Fri, 22 Nov 2019 14:00:45 +0100
In-Reply-To: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN> (Alex
 Griffin's message of "Thu, 21 Nov 2019 02:25:33 +0000")
Message-ID: <87y2w8vzeq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 38309
Cc: 38309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

"Alex Griffin" <a@HIDDEN> writes:

> After upgrading my packages today, gnome-session started segfaulting. I t=
hink
> I finally tracked the problem down to the recent changes in how Emacs sea=
rches
> for packages. Apparently Emacs now uses the search path
> $EMACSLOADPATH. Unfortunately, this is a very long value on my system:
>
> $ echo $EMACSLOADPATH | wc -c
> 22525
>
> When I add `unset EMACSLOADPATH` to the end of `~/.profile`, GNOME works =
again.

Same issue here.

Since restarting Gnome Session is not possible anymore, the only way to
add an Emacs package is to reboot.

In case it's not clear: Booting works, but restarting the session
crashes.

Log attached, with:

--8<---------------cut here---------------start------------->8---
nov. 22 13:02:15 rodion kernel: gnome-session-b[3879]: segfault at 7ffd5d8e=
4f10 ip 00007fa420f1ba6a sp 00007ffd5d8e4f00 error 6 in libpcre.so.3.13.3[7=
fa420f03000+70000]
--8<---------------cut here---------------end--------------->8---

Guix version:

--8<---------------cut here---------------start------------->8---
Generation 14	nov. 21 2019 12:51:33	(current)
  guix fe9b72c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: fe9b72c5861fabdf7f37862de393812ff3e423ac
--8<---------------cut here---------------end--------------->8---

With an up-to-date Ubuntu 18.04.3 LTS.

Cheers,
Cl=C3=A9ment

--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=log
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Nov 2019 02:26:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 21:26:06 2019
Received: from localhost ([127.0.0.1]:51141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXcAY-000308-1E
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 21:26:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:37144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <a@HIDDEN>) id 1iXcAU-0002zx-2Q
 for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 21:26:04 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46150)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <a@HIDDEN>) id 1iXcAS-0000Dh-RR
 for bug-guix@HIDDEN; Wed, 20 Nov 2019 21:26:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <a@HIDDEN>) id 1iXcAQ-000229-QW
 for bug-guix@HIDDEN; Wed, 20 Nov 2019 21:26:00 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:48715)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <a@HIDDEN>) id 1iXcAO-00021R-S0
 for bug-guix@HIDDEN; Wed, 20 Nov 2019 21:25:58 -0500
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.west.internal (Postfix) with ESMTP id D0762662
 for <bug-guix@HIDDEN>; Wed, 20 Nov 2019 21:25:55 -0500 (EST)
Received: from imap6 ([10.202.2.56])
 by compute6.internal (MEProxy); Wed, 20 Nov 2019 21:25:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ajgrf.com; h=
 mime-version:message-id:date:from:to:subject:content-type; s=
 fm1; bh=fiKuYyX4w2XEzgO6sESTz27amJ7RT3r2nATl+yF73ik=; b=JRZ5eWch
 W79si7rRjMiWiv8nynoUSF/T1HhkRqu+z9NRPAY1KXJ2YgeVDUrZ8cgxMVnIap9p
 0jVPyBFmgc5Sg7djJIXmTG1RP3FxM4wlsN7iI/Hf1brbL66c6DBcNLFYqKENNR11
 zaBqtH5CGc8fEywqx4gwaaq45Un4sEL0xxRd5/1QJDV3urWH1p6IGTMhkiHiVTLt
 ACsd2VK5QbjRbbl9Yirgvc224zLz6XRcn+UYIxhJ6smHZ4JOwAyD8Jgouon+Lbss
 T2zEjAkxK62j4wC+FnVDIAOgu6QiwhxGdkkI05FRESh1xq3CHJlR2p8otAcidZvR
 q5RSmMzUSRgktQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=fiKuYyX4w2XEzgO6sESTz27amJ7RT
 3r2nATl+yF73ik=; b=K1oPcllPM1UVTf63X4677uyz+dn2dQu13Qa6Q1YMJ5ewD
 un1XBiC8J5HjxJZ3aDw3D3hk0P6IU5XoP8vali+5/0NXA5HtKLs5MjmDodFWK0bw
 dJXwaj7hO4bOzbgjJdRAyYOK9wFWFLwqDIr81eyRgGnofNngOxHsW2P9yHer3yz3
 N/AHu1/e0LgfKZOPn7+q9T6WI6MM/H8WGFDFHhqSu5CkhFxOSGAs8h5IU3skPWL/
 bSNc33XLuiyTJrPWlSyI7lpjdIaFEaH68fV49SlflKiSYufE7Aw49yquUZBdPFm6
 vjRvyUviEEbcBYxWI68RXMi6KKgXkT+iOTJbe9EDA==
X-ME-Sender: <xms:s_XVXeHDsg1jeC_a55-m9BG1ayK2HXPyBWGvjtidHOmDMeC1mTbGcw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudehuddggeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfffhffvufgtsehttdertd
 erredtnecuhfhrohhmpedftehlvgigucfirhhifhhfihhnfdcuoegrsegrjhhgrhhfrdgt
 ohhmqeenucfrrghrrghmpehmrghilhhfrhhomheprgesrghjghhrfhdrtghomhenucevlh
 hushhtvghrufhiiigvpedu
X-ME-Proxy: <xmx:s_XVXcAHeY-WpGqFXGrMwQKKQynsQ1_th-Hkr7cMXNCnc1uAk1zqlw>
 <xmx:s_XVXYk_2Xc0_NoPz_DlVeaipBQZzVExI5YT4h8PuMo_a7vBV_fgKQ>
 <xmx:s_XVXeo-HfucA-mdWhk7VxfaKCq0vyHDTvPFeD_YBjJPvaWTHlPZ7Q>
 <xmx:s_XVXSdrVZh7ofEVJ3Xq95O72Gyyk2QgFe3cfW9J79aGorKiORlgeg>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 433091400A2; Wed, 20 Nov 2019 21:25:55 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.1.7-578-g826f590-fmstable-20191119v1
Mime-Version: 1.0
Message-Id: <c88511b9-46aa-482f-9f8c-60fbeaa10f6e@HIDDEN>
Date: Thu, 21 Nov 2019 02:25:33 +0000
From: "Alex Griffin" <a@HIDDEN>
To: bug-guix@HIDDEN
Subject: Recent $EMACSLOADPATH changes crash gnome-session
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 64.147.123.19
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

After upgrading my packages today, gnome-session started segfaulting. I think I finally tracked the problem down to the recent changes in how Emacs searches for packages. Apparently Emacs now uses the search path $EMACSLOADPATH. Unfortunately, this is a very long value on my system:

$ echo $EMACSLOADPATH | wc -c
22525

When I add `unset EMACSLOADPATH` to the end of `~/.profile`, GNOME works again.

-- 
Alex Griffin




Acknowledgement sent to "Alex Griffin" <a@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38309; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Dec 2019 06:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.